SystemOrganization addCategory: #ScriptLoader!

!MCWorkingCopy methodsFor: '*ScriptLoader' stamp: 'sd 3/24/2008 17:13'!
theCachedRepository

	^ MCCacheRepository default! !

!MCVersionLoader methodsFor: '*ScriptLoader' stamp: 'sd 3/16/2008 08:53'!
hasVersions

	^ versions isEmpty not! !

Object subclass: #ScriptLoader
	instanceVariableNames: 'repository inboxRepository packagesNotToSavePatternNames'
	classVariableNames: 'InboxRepository LogStream MCWaitingFolder PackagesBeforeLastLoad Repository'
	poolDictionaries: ''
	category: 'ScriptLoader'!

!ScriptLoader commentStamp: 'stephane.ducasse 9/13/2008 20:42' prior: 0!
I'm a  class that is used to load packages to create release.
Now I'm can log my changes.
I can generate automatically update and scripts methods from dirty packages (#compileNewUpdateMethod)



	
HowToRelease 
Instructions to prepare a Pharo image release.

- Take the latest Pharo image.
- Make sure that you loaded the latest version of scriptLoader.

			ScriptLoader new loadLatestScriptloader
		
		Sometimes scriptloader versions are there but have not been pushed as updates items. So this is important to check them.

- Edit method commentForCurrentUpdate to return a string containing the description of the changes you did. 
			
- Mark the current packages

		ScriptLoader new markPackagesBeforeNewCodeIsLoaded

- Load your changes (either cs or package published in the inbox).
		We suggest to test if the dirty packages can be reloaded. To help you follow the following:
	Step 1. Save the dirty packages in a place by giving a description of the changes.
		
		ScriptLoader new saveDirtyPackageInWaitingFolder
		Alternatively you can use the following method if you want to use a comment 
		different from commentForCurrentUpdate.
		ScriptLoader new saveDirtyPackageInWaitingFolderWith: 'Cleaning class description'

	Note that we have to implement some filtering to automatically discard: Etoy and friends.
	Step 2. Take a new image and check that the packages load well:
		
		ScriptLoader new loadPackageFromWaitingFolder
	
	Step 3. Use setToRepositoriesPassword: aPassword to: aUser to set your password to all the packages.
	
		ScriptLoader new setToRepositoriesPassword: '' to: 'sd'.
	
	Step 4. Copy the packages from the local repository to squeaksource using:
	
		ScriptLoader new copyPackageFromWaitingFolderToHomeRepository
	
	For the packages that were not dirty, you have to copy them to the pharo repository. you can obtain a list of 
	such packages using:

		ScriptLoader new diffPackages

- Generate the script method and the update methods using:

		ScriptLoader new generateScriptAndUpdateMethodForNewVersion

- Publish the new version of the scriptloader.

		ScriptLoader new saveLatestScriptLoaderToHome

- Download the latest updates.list via the script

			./getUpdatesList

- Generate the cs for the update stream and add the resulting file in the updatelist.

		ScriptLoader new CSForLastUpdateAndPatchUpdatesList: 'CleanUpMenusTextSqkLinkRemoval'

- Add the resulting file and the change updatelist file to the server.
		
			./upFiles <changeset>
			./upFiles updates.list
		
	         (the script do somthing like that: 	
					     scp "$1" ducasse@sapphire.gforge.inria.fr:~/../../groups/sapphire/htdocs/updates/
				)!

!ScriptLoader class methodsFor: 'as yet unclassified' stamp: 'stephane.ducasse 6/30/2008 22:39'!
defaultMCWaitingFolder
	"self defaultMCWaitingFolder" 
	
	^ MCWaitingFolder ifNil: [MCWaitingFolder := MCDirectoryRepository new directory: self waitingCacheFolder]! !

!ScriptLoader class methodsFor: 'repository access' stamp: 'stephane.ducasse 5/16/2008 21:49'!
inboxRepository

	^ InboxRepository! !

!ScriptLoader class methodsFor: 'repository access' stamp: 'stephane.ducasse 5/16/2008 21:49'!
inboxRepository: aRepository

	InboxRepository := aRepository! !

!ScriptLoader class methodsFor: 'public' stamp: 'stephane.ducasse 9/28/2008 17:33'!
loadEcompletion
	"self loadEcompletion"
	
	| instClass |
	instClass := self environment at: #Installer ifAbsent: [self new installingInstaller].
		
	instClass ss
		project: 'eCompletion';
		install: 'ECompletion-dc.90'; 
		install: 'ECompletionOmniBrowser-dc.4'; 
		install: 'ECompletionTraits-bar.1'.
	
	

		

! !

!ScriptLoader class methodsFor: 'as yet unclassified' stamp: 'marcus.denker 8/13/2008 18:08'!
loadLatestPackage: aString from: aPath
	| repository versionsBlock versions tries version |
	repository := MCHttpRepository
		location: aPath
		user:  ''
		password: ''.
	
	versionsBlock := [ (repository allVersionNames select: [ :each |
		each beginsWith: aString ])
		asSortedCollection: [ :a :b |
			(a copyAfterLast: $.) asNumber <= (b copyAfterLast: $.) asNumber ] ] fixTemps.
	versions := versionsBlock value.
	
	tries := 0.
	[ versions isEmpty and: [ tries < 3 ] ] whileTrue: [
		versions := versionsBlock value.
		tries := tries + 1 ].
	versions isEmpty ifTrue: [ self error: 'problems when accessing squeaksource' ].
	
	version := (repository versionReaderForFileNamed: versions last , '.mcz') version.
	version load.
	version workingCopy repositoryGroup addRepository: repository.! !

!ScriptLoader class methodsFor: 'public' stamp: 'marcus.denker 8/13/2008 18:09'!
loadNewCompiler
	"self loadNewCompiler"
	
	self loadLatestPackage: 'AST-' from: 'http://www.squeaksource.com/AST/'.
	self loadLatestPackage: 'NewParser-' from: 'http://www.squeaksource.com/AST/'.
	self loadLatestPackage: 'SmaCC-' from: 'http://www.squeaksource.com/SmaccDevelopment/'.
	self loadLatestPackage: 'NewCompiler-' from: 'http://www.squeaksource.com/NewCompiler/'.

		

		


		

! !

!ScriptLoader class methodsFor: 'public' stamp: 'AlexandreBergel 9/12/2008 15:52'!
loadOB
	"self loadOB"

	| instClass |
	instClass := self environment at: #Installer ifAbsent: [self new installingInstaller].

	instClass ss
		project: 'AST';
		install: 'AST-lr.158'.
		
	instClass ss
		project: 'RefactoringEngine';
		install: 'RefactoringEngine-ab.51'.

	instClass wiresong
		project: 'ob';
		install: 'OmniBrowser-dr.416';
 install: 'OB-Standard-dr.348';
 install: 'OB-Morphic-dc.52';
 install: 'OB-Enhancements-dr.204';
 install: 'OB-Refactory-lr.100';
 install: 'OB-SUnitIntegration-dc.9'.
		
	instClass wiresong
		project: 'ob';
		install: 'OB-TraitsIntegration-dc.34'.

		

		


		

! !

!ScriptLoader class methodsFor: 'public' stamp: 'stephane.ducasse 6/25/2008 10:38'!
loadShout
	"self loadShout"
	
	| instClass |
	instClass := self environment at: #Installer ifAbsent: [self new installingInstaller].
		
	instClass ss
		project: 'shout';
		install: 'Shout.3.15-tween.72'.
	
	instClass ss
		project: 'shout';
		install: 'ShoutWorkspace.1-tween.2'.
		
	instClass ss
		project: 'shout';
		install: 'ShoutOmniBrowser-dc.5.mcz'
		

		


		

! !

!ScriptLoader class methodsFor: 'public' stamp: 'stephane.ducasse 5/24/2008 17:05'!
loadTools
	
	Preferences  setPreference: #swapMouseButtons toValue: true.
	self loadOB.
	self loadShout.
	! !

!ScriptLoader class methodsFor: 'as yet unclassified' stamp: 'sd 3/24/2008 20:59'!
packageToBeTestedFolderName

	^ 'packages-to-be-tested'! !

!ScriptLoader class methodsFor: 'repository access' stamp: 'stephane.ducasse 5/16/2008 21:49'!
repository

	^ Repository! !

!ScriptLoader class methodsFor: 'repository access' stamp: 'stephane.ducasse 5/16/2008 21:49'!
repository: aRepository

	Repository := aRepository! !

!ScriptLoader class methodsFor: 'as yet unclassified' stamp: 'stephane.ducasse 6/30/2008 16:03'!
resetPackagesBeforeLastLoad

	PackagesBeforeLastLoad := Set new.! !

!ScriptLoader class methodsFor: 'as yet unclassified' stamp: 'sd 3/24/2008 20:59'!
waitingCacheFolder
	
	^ (FileDirectory default directoryNamed: self packageToBeTestedFolderName)
			assureExistence;
			yourself

	! !

!ScriptLoader methodsFor: 'public' stamp: 'stephane.ducasse 8/14/2008 16:06'!
CSForLastUpdate: aString
	"ScriptLoader new CSForLastUpdate: 'cleanUpMethods'"
	
	| str updateNumber |
	updateNumber := self getLatestUpdateNumber.
	str := FileDirectory default 
				forceNewFileNamed:  updateNumber asString, '-Pha-', aString, '.cs'.
	self 
		generateCS: self latestScriptLoaderPackageIdentificationString
		fromUpdate: updateNumber on: str.
	str close.! !

!ScriptLoader methodsFor: 'public' stamp: 'marcus.denker 8/25/2008 10:44'!
CSForLastUpdateAndPatchUpdatesList: aString
	"ScriptLoader new CSForLastUpdateAndPatchUpdatesList: 'cleanUpMethods'"
	
	self CSForLastUpdate: aString.
	self updateUpdatesList: aString.! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/15/2008 18:10'!
addHomeRepositoryToAllPackages
	"self new removeAllRepositories: #('http://www.squeaksource.com/Sapphire/' 			'http://www.squeaksource.com/SapphireInbox/')"
	"self new addHomeRepositoryToAllPackages"
	
	MCWorkingCopy allManagers do: [:each | 
		each repositoryGroup
			 addRepository: self repository;
			 addRepository: self inboxRepository].
	
	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/15/2008 17:40'!
addHomeRepositoryToPackageNamed: aString
	
	|pa|
	pa := MCPackage named: aString.
	pa workingCopy repositoryGroup addRepository: self repository.
	! !

!ScriptLoader methodsFor: 'public' stamp: 'stephane.ducasse 6/30/2008 15:01'!
addPackagesNotToSave: aMatchingString 
	packagesNotToSavePatternNames add: aMatchingString! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 10/31/2005 18:01'!
addRepositoryToPackageNamed: aString
	
	|pa|
	pa := MCPackage named: aString.
	pa workingCopy repositoryGroup addRepository: self repository.
	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'stephane.ducasse 6/30/2008 15:15'!
allCurrentDirtyPackages
	"ScriptLoader new allCurrentDirtyPackages"
	"return all the current dirty packages even the ones that we do not want to save"

	
	^  self allCurrentPackages select: [:each | each needsSaving].

	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'stephane.ducasse 6/30/2008 15:15'!
allCurrentPackages
	"ScriptLoader new allCurrentPackages" 
	
	| copies |
	copies := MCWorkingCopy allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ].
	^ copies! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'stephane.ducasse 6/30/2008 15:16'!
allCurrentVersions
	"ScriptLoader new allCurrentVersions"
	
	| copies |
	copies := MCWorkingCopy allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ].
	^ copies collect:
		[:ea |  ea ancestry ancestorString ]! !

!ScriptLoader methodsFor: 'from bert' stamp: 'stephaneducasse 10/28/2005 19:57'!
bertLoadOneAfterTheOther: aCollection merge: aBoolean
 
	^ (self configurationFrom: aCollection) upgrade! !

!ScriptLoader methodsFor: 'utils' stamp: 'dc 9/28/2008 18:11'!
buildPharoDev
	Preferences disable: #showDeprecationWarnings.
	[ | installer |
	installer := self universalInstaller universe.
	installer update.
	installer universe selectAllUpgrades.
	installer addPackage: 'Pharo packages'.
	installer install]
		ensure: [Preferences enable: #showDeprecationWarnings]! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'sd 7/15/2006 20:45'!
cleanUpChanges
	"Clean up the change sets"
	"self new cleanUpChanges"
	
	| projectChangeSetNames |
	"Delete all changesets except those currently used by existing projects."
	projectChangeSetNames := Project allSubInstances collect: [:proj | proj changeSet name].
	ChangeSet removeChangeSetsNamedSuchThat:
		[:cs | (projectChangeSetNames includes: cs) not].
! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'sd 7/15/2006 20:57'!
cleanUpEtoys
	"self new cleanUpEtoys"

	StandardScriptingSystem removeUnreferencedPlayers.

	(self confirm: 'Remove all projects and players?')
		ifFalse: [^self].
	Project removeAllButCurrent.

	#('Morphic-UserObjects' 'EToy-UserObjects' 'Morphic-Imported' )
		do: [:each | SystemOrganization removeSystemCategory: each].
		
	Smalltalk
		at: #Player
		ifPresent: [:superCls | superCls
				allSubclassesDo: [:cls | 
					cls isSystemDefined
						ifFalse: [cls removeFromSystem].
					cls := nil]].! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'md 7/27/2006 15:27'!
cleanUpMethods
	"Make sure that all methods in use are restarted"

	WeakArray restartFinalizationProcess.
	MethodChangeRecord allInstancesDo:[:x| x noteNewMethod: nil].
	Delay startTimerInterruptWatcher.
	WorldState allInstancesDo:[:ws| ws convertAlarms; convertStepList].
	ExternalDropHandler initialize.
	ScrollBar initializeImagesCache.
	Vocabulary initialize.
	GradientFillStyle initPixelRampCache.
	ProcessBrowser initialize.
	Smalltalk garbageCollect.

	self assert: (CompiledMethod allInstances
	reject:[:cm| cm hasNewPropertyFormat]) isEmpty.! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'sd 9/8/2006 20:59'!
cleaningCS
	"self new cleaningCS" 
	 
	ChangeSorter removeChangeSetsNamedSuchThat: [:each | true].
	ChangeSet resetCurrentToNewUnnamedChangeSet ! !

!ScriptLoader methodsFor: 'public' stamp: 'stephane.ducasse 9/28/2008 17:00'!
commentForCurrentUpdate
	^'  Etoy cleaning from gary (continued)
Removed UndefinedObjectTest>>testNewTileMorphRepresentative
Removed BooleanTest>>testNewTileMorphRepresentative
Removed BookMorph>>chooseAndRevertToVersion
Removed BookMorph>>revertToCheckpoint: secsSince1901
BookMorph>>installRollBackButtons
BookMorph>>methodHolderVersions
BookMorph>>methodHolders
BookMoprh>>goToPageMorph:  transitionSpec:  runTransitionScripts:  
BookMorph>>goToPageMorph:  transitionSpec:  
TabbedPalette>>selectTab: cleaned 
Removed TabbedPalette>>becomeStandPalette
Removed>>currentPlayerDo: and fixed sender
EncodedCharSet fixed initialize
'! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'stephane.ducasse 6/14/2008 15:32'!
compileNewUpdateMethod
	"Use me to create a new update method with the next update number"
	"self new compileNewUpdateMethod"
	

	self class compile: 
		(self generateNewUpdateMethod)
		classified: 'pharo - updates'! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'stephane.ducasse 6/14/2008 15:38'!
compileScriptMethodWithCurrentPackages: aNumber 
	"ScriptLoader new compileScriptMethodWithCurrentPackages: 9999"
	
	self class compile: 
		(self generateScriptTemplateWithCurrentPackages: aNumber)
		classified: 'pharo - scripts'! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'sd 3/24/2008 16:51'!
compileScriptMethodXXXWithCurrentPackages
	"ScriptLoader new compileScriptMethodXXXWithCurrentPackages"
	
	self class compile: self generateScriptTemplateWithCurrentPackages classified: 'sapphire - scripts'! !

!ScriptLoader methodsFor: 'from bert' stamp: 'md 8/10/2006 12:18'!
configurationFrom: aCollection

	| spec | 
	spec := Array streamContents: [:s |
         s nextPut: #repository; nextPut: {self repository description}.
         aCollection do: [:ea | | pkg ver id |
             pkg := ea copyUpToLast: $- .
             ver := ea copyUpToLast: $. .
             id := UUID nilUUID asString.
             s nextPut: #dependency; nextPut: {pkg . ver . id}]].
    ^MCConfiguration fromArray: spec.! !

!ScriptLoader methodsFor: 'public' stamp: 'stephane.ducasse 8/22/2008 20:06'!
copyDiffPackagesToPharo
	"Copy the clean packages that may have been loaded by a slice but are not yet in pharo repository"
	"self new copyDiffPackagesToPharo"
	"self new diffPackages"
	

	| s man r |
	s := Set new.
	man := MCWorkingCopy allManagers.
	Transcript show: '=========================================================================';cr.
	Transcript show: self diffPackages ;cr.
	self diffPackages do: 
		[:packName | 
			r := man select: [:package |  packName, '*' match: package ancestry ancestorString].
			r isEmpty ifFalse: [s add: r first]].
	s do: [:wc | 
			self repository storeVersion: wc newVersion.].
		
	! !

!ScriptLoader methodsFor: 'public' stamp: 'sd 3/28/2008 18:32'!
copyPackageFromWaitingFolderToHomeRepository
	"self defaultMCWaitingFolder allFileNames"
	"self new copyPackageFromWaitingFolderToHomeRepository"
	
	| version |
	self waitingFolderMCZFiles do: [ :name |
		version := self class defaultMCWaitingFolder  versionFromFileNamed: name.
		self repository storeVersion: version.
		]! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/24/2008 17:11'!
currentDirtyPackages
	"ScriptLoader new currentDirtyPackages" 
	
	^  self currentPackages select: [:each | each needsSaving].

	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'stephane.ducasse 6/30/2008 15:22'!
currentPackages
	"ScriptLoader new currentPackages" 
	
	
	| copies |
	copies := MCWorkingCopy allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ].
	^ copies reject: [:each | packagesNotToSavePatternNames anySatisfy: [ :p | p match: each package name]].
	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 5/29/2006 20:52'!
currentVersions
	"ScriptLoader new currentVersions"
	
	| copies |
	copies := MCWorkingCopy allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ].
	^ copies collect:
		[:ea |  ea ancestry ancestorString ]! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'stephane.ducasse 6/30/2008 15:18'!
currentVersionsToBeSaved
	"ScriptLoader new currentVersionsToBeSaved"
	
	^ self allCurrentVersions reject: [ :each | packagesNotToSavePatternNames anySatisfy: [ :p | p match: each ] ]! !

!ScriptLoader methodsFor: 'public' stamp: 'stephane.ducasse 8/22/2008 20:00'!
diffPackages
	"return a list of packages that are new. They can be dirty or not."
	"self new diffPackages"
	 
	| diff |
	diff := Set new.
	self currentVersionsToBeSaved
		do: [:each |  (PackagesBeforeLastLoad includes: each)
						ifFalse: [diff add: each]].
	^ diff
	! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'sd 7/15/2006 20:57'!
finalCleanup
	"self new finalCleanup"

	Smalltalk forgetDoIts.
	DataStream initialize.
	Behavior flushObsoleteSubclasses.
	"The pointer to currentMethod is not realy needed (anybody care to fix this) and often holds on to obsolete bindings"
	MethodChangeRecord allInstancesDo: [:each | each noteNewMethod: nil].
	self cleanUpEtoys.
	SmalltalkImage current fixObsoleteReferences.
	Smalltalk flushClassNameCache.
	SystemOrganization removeEmptyCategories.
	3 timesRepeat: [
		Smalltalk garbageCollect.
		Symbol compactSymbolTable.
	].
	
! !

!ScriptLoader methodsFor: 'fixing stream' stamp: 'stephaneducasse 7/1/2008 11:23'!
fix
	"self new fix"
	
	self log: self fixLogStream1.
	self log: self fixLogStream2.
	self log: self fixLogStream3.! !

!ScriptLoader methodsFor: 'fixing stream' stamp: 'stephaneducasse 7/1/2008 10:50'!
fixLogStream1
	"since there was a problem we lost the log, here are some methods to receover it"
	

	^  '  ------------------------------------------------------
withUdpateLog:
Added MCWorkingCopy printOn:

Scriptloader cleaning

MC repository cleaning

Adding new Sapphire repository
 ------------------------------------------------------
withUdpateLog:
Remove release builder package: classes were moved in scriptloader
 ------------------------------------------------------
withUdpateLog:
Fixing underscore of Service-base

Fixing underscore kernel

Fixing underscore VersionNumber
 ------------------------------------------------------
withUdpateLog:
Fixing invisible in Date and DateAndTime
 ------------------------------------------------------
withUdpateLog:
Fixing invisible in Kernel Chronology

enhancing FixUnderscores to fix also character lf

remove FFI organization
 ------------------------------------------------------
withUdpateLog:
Fixing invisible in Files and Exceptions

Fixing assign in Files and Exceptions
 ------------------------------------------------------
withUdpateLog:
Fixing invisible in Collection Graphics KernelTests Network Protocols PackageInfo Sounds System Tools VersionNumber

Will not fix them in Etoys, Morphic, MorphicExtra for obvious reasons
 ------------------------------------------------------
withUdpateLog:
Fixing - into :=  in Collection Compiler KernelTests Mutilingual Monticello PackageInfo NetworkTests Tests Sound System ToolBuilder-SUnit ToolBuilder-Morphic Tools Traits

Will not fix them in Etoys, Morphic, MorphicExtra for obvious reasons
 ------------------------------------------------------
withUdpateLog:
Utilities informuser:during: -> UIManager default informuser:during:
 ------------------------------------------------------
withUdpateLog:
Deprecating Utilities>>informDuring:
 ------------------------------------------------------
withUdpateLog:
Remove HTML Fileout + printout Method
 ------------------------------------------------------
withUdpateLog:
changes from Reflectivity, remove Packagepanebrowser, faster transcript
 ------------------------------------------------------
withUdpateLog:
scriptloader load mc silently + TTF fonts
http://bugs.squeak.org/view.php?id=6089
 ------------------------------------------------------
update10022
Lexicon and Instance Browser were not really used. We will rebuild it if necessary. Remove instanceBrowser and Lexicon + faster doOneCycleNow 
 ------------------------------------------------------
update10023
remove Nebrasksa audiot chat + deprecated author in Utilities
 ------------------------------------------------------
update10024
Fixing Sapphire -> Pharo Squeak source Server + CS Servers
 ------------------------------------------------------
update10025
Unload Nebraska 
 ------------------------------------------------------
update10026
Fixing Author FullName  
 ------------------------------------------------------
update10027
Lexicon merge, Better tests for rectangle, findString fix 

http://bugs.squeak.org/view.php?id=3574

Remove superswiki
 ------------------------------------------------------
update10028
Fixing MC
 ------------------------------------------------------
update10030
Fixing Delay 
	 0006834: Delay class>>timeoutSemaphore:afterMSecs: doesn t.
Description 	The implementation for Delay class>>timeoutSemaphore:afterMSecs: doesn t even use its first parameter, so it can t do what it says it does.

This method should be deprecated or removed entirely.
Additional Information 	+ tests

Fixing Obsolete references
 ------------------------------------------------------
withUdpateLog:
1.0 / (FloatArray with: 2.0) answer unexpected result.
Bug is in FloatArray>>adaptToNumber:andSend: 
See : http://bugs.squeak.org/view.php?id=6782

fixing files left by tests
 ------------------------------------------------------
update10032
Fixing Number parsing

Cleaning nebraska
 ------------------------------------------------------
update10033
Simplifying Traits usage in kernel

Simplifying Traits usage in kernel
 ------------------------------------------------------
update10034
Fixing tests (serge stinckwich)

http://bugs.squeak.org/view.php?id=6936 
	#asHTMLColor is inaccurate for certain values.
     Attached fix resolves that, also gives 10x speed-up.
 ------------------------------------------------------
update10035
Merging MVC removal step one of Alain Plantec
 ------------------------------------------------------
update10036
Merging MVC removal step one of Alain Plantec (missing part)
 ------------------------------------------------------
update10037
Fixes the following 7 tests:

testRootsOfTheWorld -- testremoved
testLocalMethodWithSameCodeInTrait -- removed duplicated method ClassDescription>>fileOutCategory:
testFinalizationOfEquals -- test fixed
testHash -- remove all assertions/tests that have hardcoded hash values:
	DateAndTimeEpochTest>>#testHash
	DateAndTimeLeapTest>>#testHash
	TimeTest>>#testHash
	TimespanTest>>#testHash
 ------------------------------------------------------
update10038
rootsOfTheWorld is back

Adding missing Class variables to TTCFonts + cleaning Scriptloader (norbert)
 ------------------------------------------------------
update10039
Nebraka category cleaning + graphics tests cleaning after
 ------------------------------------------------------
update10040
 replace: ReadStream on: ``@object with: ``@object readStream
 ------------------------------------------------------
update10041
MVC removal step 2
 ------------------------------------------------------
update10042
Couple of changes to make more tests work plus fix of finalization logic:
- changed WeakRegistry to use WeakIdentityKeyDictionary (http://bugs.squeak.org/view.php?id=6347)
- FinalizerTest reverted to real test case
- added missing class variables to DigitalSigntureAlgorithm
- Fix issue #13: TraitsTests pollutes ProtoObject subclasses (Mantis 7090)
- make BitmapStreamTest clean up the file bitmapStreamTest.ref.extSeg
'! !

!ScriptLoader methodsFor: 'fixing stream' stamp: 'stephaneducasse 7/1/2008 11:26'!
fixLogStream2

	^  ' 
	update10043
		MVC cleaning step 3
	update10043
		cleaning unimplemented calls
		
	update10045
	     Some more cleaning made by Norbert
	
	update10046
		KernelTests-Numbers -- Nan and hex tests broken.
		Collection methods #select: and #collect: have no test.
		MC fixes.
		Remove testAllMethodsWithSourceString.

' ! !

!ScriptLoader methodsFor: 'fixing stream' stamp: 'stephaneducasse 7/1/2008 10:45'!
fixLogStream3

	^  ' ------------------------------------------------------
update10047
Fixing the release. Adrian made a few cosmetic changes and tagged testUnimplementedNonPrimitiveCalls as expected failure

Original description:
- added allClassesWithUnimplementedCalls to SystemNavigation to return structured classes with unimplemented calls
- added convenience method PackageOrganizer>>allPackagesContainingUnimplementedCalls
- adjusted ReleaseTest>>testUnimplemented... to exclude TestCase classes 
' ! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'sd 7/16/2006 14:58'!
fixObsoleteReferences
	"self new fixObsoleteReferences"

	| informee obsoleteBindings obsName realName realClass |
	Preference allInstances do: [:each | 
		informee := each instVarNamed: #changeInformee.
		((informee isKindOf: Behavior)
			and: [informee isObsolete])
			ifTrue: [
				Transcript show: each name; cr.
				each instVarNamed: #changeInformee put: (Smalltalk at: (informee name copyReplaceAll: 'AnObsolete' with: '') asSymbol)]].
 
	CompiledMethod allInstances do: [:method |
		obsoleteBindings := method literals select: [:literal |
			literal isVariableBinding
				and: [literal value isBehavior]
				and: [literal value isObsolete]].
		obsoleteBindings do: [:binding |
			obsName := binding value name.
			Transcript show: obsName; cr.
			realName := obsName copyReplaceAll: 'AnObsolete' with: ''.
			realClass := Smalltalk at: realName asSymbol ifAbsent: [UndefinedObject].
			binding isSpecialWriteBinding
				ifTrue: [binding privateSetKey: binding key value: realClass]
				ifFalse: [binding key: binding key value: realClass]]].


	Behavior flushObsoleteSubclasses.
	Smalltalk garbageCollect; garbageCollect.
	SystemNavigation default obsoleteBehaviors size > 0
		ifTrue: [SystemNavigation default obsoleteBehaviors inspect]! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'md 8/2/2006 18:12'!
flushCaches

	MCFileBasedRepository flushAllCaches.
	MCDefinition clearInstances.
	Smalltalk garbageCollect.
	
	"Initialization required for tests: strange why this is not a teardwon method"
	SendCaches initializeAllInstances.! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'stephane.ducasse 8/14/2008 16:06'!
generateCS: packageInfo fromUpdate: updateNumber on: st
	
	st nextPutAll:
'"Postscript:
Leave the line above, and replace the rest of this comment by a useful one.
Executable statements should follow this comment, and should
be separated by periods, with no exclamation points (!!!!).
Be sure to put any further comments in double-quotes, like this one."

|repository|
repository := MCHttpRepository
                location: ''http://www.squeaksource.com/Pharo/''
                user: ''''
                password: ''''.
(repository loadVersionFromFileNamed:' .
	st nextPut: $' ; nextPutAll: packageInfo, '.mcz'') load.'; cr.
	st nextPutAll: 'ScriptLoader new update', (updateNumber) asString; nextPutAll: '.' ; cr.
	st nextPutAll: '!!'.
	^ st contents
! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'marcus.denker 8/18/2008 20:42'!
generateNewUpdateMethod
	"ScriptLoader new generateNewUpdateMethod"
	
	| str mthName |
	str := ReadWriteStream on: (String new: 1000).
	mthName := 'update', (self getLatestUpdateNumber + 1) asString.
	str nextPutAll: mthName ; cr  ; tab.
	str nextPutAll: '"self new ', mthName, '"' ; cr ; cr ;tab.
	str nextPutAll: 'self withUpdateLog:' ; nextPut: $'; nextPutAll: self commentForCurrentUpdate ; nextPut: $'; nextPut: $. .
	str cr.
	str nextPutAll: '	self script' , self getLatestScriptNumber asString, '.'.
	str nextPutAll: '
	self flushCaches.
	'.
	
	^ str contents! !

!ScriptLoader methodsFor: 'public' stamp: 'sd 3/28/2008 11:16'!
generateScriptAndUpdateMethodForNewVersion
	"Use me to generate the script and update method"
	"self new generateScriptAndUpdateMethodForNewVersion"
	
	self compileScriptMethodWithCurrentPackages: (self getLatestScriptNumber + 1).
	self compileNewUpdateMethod.! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'stephane.ducasse 6/30/2008 15:19'!
generateScriptTemplateWithAllCurrentPackages
	"ScriptLoader new generateScriptTemplateWithAllCurrentPackages"
	
	| str |
	str := ReadWriteStream on: (String new: 1000).
	str nextPutAll: 'scriptXXX' ; cr ; cr ; tab.
	str nextPutAll: '| names|'; cr.
	str nextPutAll: 'names := '.
	str nextPut: $'.
	self currentVersionsToBeSaved do: 
		[:each |
			str nextPutAll: each ; nextPutAll: '.mcz']
		separatedBy: [str nextPut: Character cr].
	str nextPut: $'; nextPut: Character cr.
	str nextPutAll: 'findTokens: '' '', String cr.

	self loadTogether: names merge: false.'.
	^ str contents! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'sd 3/28/2008 11:33'!
generateScriptTemplateWithCurrentPackages
	"ScriptLoader new generateScriptTemplateWithCurrentPackages"
	
	| str withoutScriptLoader |
	str := ReadWriteStream on: (String new: 1000).
	str nextPutAll: 'scriptXXX' ; cr ; cr ; tab.
	str nextPutAll: '| names|'; cr.
	str nextPutAll: 'names := '.
	str nextPut: $'.
	withoutScriptLoader := self currentVersionsToBeSaved.
	withoutScriptLoader 
		do: [ :each |
			str nextPutAll: each ; nextPutAll: '.mcz']
		separatedBy: [str nextPut: Character cr].
	str nextPut: $'; nextPut: Character cr.
	str nextPutAll: 'findTokens: '' '', String cr.

	self loadTogether: names merge: false.'.
	^ str contents! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'sd 3/28/2008 11:33'!
generateScriptTemplateWithCurrentPackages: aNumber
	"ScriptLoader new generateScriptTemplateWithCurrentPackages"
	
	| str withoutScriptLoader |
	str := ReadWriteStream on: (String new: 1000).
	str nextPutAll: 'script', aNumber asString ; cr ; cr ; tab.
	str nextPutAll: '| names|'; cr.
	str nextPutAll: 'names := '.
	str nextPut: $'.
	withoutScriptLoader := self currentVersionsToBeSaved.
	withoutScriptLoader 
		do: [ :each |
			str nextPutAll: each ; nextPutAll: '.mcz']
		separatedBy: [str nextPut: Character cr].
	str nextPut: $'; nextPut: Character cr.
	str nextPutAll: 'findTokens: '' '', String cr.

	self loadTogether: names merge: false.'.
	^ str contents! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'sd 3/24/2008 16:54'!
getLatestScriptNumber
	"self new getLatestScriptNumber"
	
	| upfroms |
	upfroms := ScriptLoader selectors select: [:each | 'script*' match: each ].
	upfroms := upfroms collect: [:each | (each asString allButFirst: 6)].
	upfroms := upfroms reject: [:each | '*Log*' match: each ].
	upfroms := upfroms reject: [:each | '*XXX*' match: each ].
	upfroms := upfroms collect: [:each | each asNumber].
	^ upfroms asSortedCollection last
	! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'sd 3/24/2008 16:54'!
getLatestUpdateNumber
	"self new getLatestUpdateNumber"
	
	| upfroms |
	upfroms := ScriptLoader selectors select: [:each | 'update*' match: each ].
	upfroms := upfroms collect: [:each | (each asString last: 5) asNumber].
	^ upfroms asSortedCollection last! !

!ScriptLoader methodsFor: 'accessing' stamp: 'NorbertHartl 6/13/2008 11:43'!
inboxRepository

	InboxRepository ifNil: 
			[InboxRepository :=  (MCHttpRepository new 
										location: 'http://www.squeaksource.com/PharoInbox/';
										user: '';
										password: '')].
	^ InboxRepository
	
	! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'alain.plantec 6/10/2008 21:57'!
initialCleanup
	"Perform various image cleanups in preparation for making a Squeak gamma release candidate image."
	"self new initialCleanup"
	
	Undeclared removeUnreferencedKeys.
	StandardScriptingSystem initialize.
	self resetToolSet.
	AppRegistry removeObsolete.
	FileServices removeObsolete. 

	(Object classPool at: #DependentsFields) size > 1 ifTrue: [self error:'Still have dependents'].
	Undeclared isEmpty ifFalse: [self error:'Please clean out Undeclared'].

	Smalltalk at: #Browser ifPresent:[:br| br initialize].
	ScriptingSystem deletePrivateGraphics.  "?"
	 
	self cleanUpChanges.
	ChangeSet current clear.
	ChangeSet current name: 'Unnamed'. 
	Smalltalk garbageCollect.
 
	"Reinitialize DataStream; it may hold on to some zapped entitities"
	DataStream initialize. 

	Smalltalk garbageCollect.
	
	"SMSqueakMap default purge.  does not work"
	
! !

!ScriptLoader methodsFor: 'initialize' stamp: 'stephane.ducasse 6/30/2008 15:23'!
initialize
	super initialize.
	self packagesNotToSavePatternNames: #(
			'*ScriptLoader*'
			'*AST*'
			'*RefactoringEngine*'
			'*Installer*'
			'SLICE*'
			'*OB-*'
			'OmniBrowser*'
		).
	PackagesBeforeLastLoad ifNil: [ PackagesBeforeLastLoad := Set new ]! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/15/2008 14:46'!
installRepository: aString for: packageName

	(MCWorkingCopy allManagers select: [:each | each package name = packageName])
		first repositoryGroup
		addRepository: (MCHttpRepository new location: aString ; user: '' ; password: '')
		! !

!ScriptLoader methodsFor: 'fixing stream' stamp: 'sd 7/15/2006 22:43'!
installVersionInfo
	"self new installVersionInfo"

	| highestUpdate newVersion |
	highestUpdate := SystemVersion current highestUpdate.
	(self confirm: 'Reset highest update (' , highestUpdate printString , ')?')
		ifTrue: [SystemVersion current highestUpdate: 0].

	newVersion := FillInTheBlank request: 'New version designation:' initialAnswer: '3.9' , highestUpdate printString. 
	SystemVersion newVersion: newVersion.
	
! !

!ScriptLoader methodsFor: 'accessing' stamp: 'dc 3/30/2008 19:50'!
installer
	^ Smalltalk 
		at: #Installer
		ifAbsent: 
			[ self installingInstaller.
			Smalltalk at: #Installer ]! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/15/2008 18:15'!
installingDefaultRepositoriesToPackages
	"self new installingDefaultRepositoriesToPackages"
	
	self packagesAndHome do: [:each |  self installRepository: each second for: each first].! !

!ScriptLoader methodsFor: 'utils' stamp: 'stephane.ducasse 8/26/2008 15:57'!
installingInstaller
	"self new installingInstaller"
	
	| mc  files fileToLoad version |
	mc := Smalltalk at: #MCHttpRepository ifPresent: [:repoClass | repoClass location: 'www.squeaksource.com/Installer' user: 'squeak' password: 'squeak'].
	files := mc readableFileNames asSortedCollection: [:a :b | [(a findBetweenSubStrs: #($.)) allButLast last asInteger > (b findBetweenSubStrs: #($.)) allButLast last asInteger] on: Error do: [:ex | false]].
	fileToLoad := files detect: [ :aFile | aFile beginsWith:'InstallerAll-md.1' ] ifNone: [ nil ].
	version := mc versionFromFileNamed: fileToLoad.
	version workingCopy repositoryGroup addRepository: mc.
	mc creationTemplate: mc asCreationTemplate.
	version load.
	
	^ (Smalltalk at: #Installer)! !

!ScriptLoader methodsFor: 'utils' stamp: 'dc 3/30/2008 19:53'!
installingRBEngine

	"| `@temps |
``@.BeforeStatements.
`f := ImporterFacade forVisualWorks.
`f inModel: `@m.
`f importingContext importMaximum.
`f importNameSpaceFromBinding: `@n.
``@.AfterStatements

->

| `@temps |
``@.BeforeStatements.
ImporterFacade importNameSpaceFromVWBinding: `@n inModel: `@m.
``@.AfterStatements"

	(self universalInstaller) universe install: 'Refactoring Engine'! !

!ScriptLoader methodsFor: 'utils' stamp: 'dc 3/30/2008 19:51'!
installingUniverse
	self installer ss
		project: 'XMLSupport';
		install: 'XML-Parser'.
	self installer ss
		project: 'universes';
		install: 'Universes'! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'stephane.ducasse 8/14/2008 16:03'!
latestScriptLoaderPackageIdentificationString
	"ScriptLoader new latestScriptLoaderPackageIdentificationString"
	
	^  self allCurrentVersions detect: [:each | 'ScriptLoader*' match: each ]
	! !

!ScriptLoader methodsFor: 'public' stamp: 'stephane.ducasse 6/30/2008 14:47'!
loadLatestScriptloader
	"self new loadLatestScriptloader"
	
	| mc  files version |
	mc := Smalltalk at: #MCHttpRepository 
		ifPresent: [:repoClass | repoClass location: 'www.squeaksource.com/Pharo' user: 'squeak' password: 'squeak'].
	files := mc readableFileNames asSortedCollection: [:a :b | [(a findBetweenSubStrs: #($.)) allButLast last asInteger > (b findBetweenSubStrs: #($.)) allButLast last asInteger] on: Error do: [:ex | false]].
	files isEmpty
		ifTrue: [^ self].
	version := mc versionFromFileNamed: files first.
	version workingCopy repositoryGroup addRepository: mc.
	mc creationTemplate: mc asCreationTemplate.
	version merge.
	! !

!ScriptLoader methodsFor: 'load primitives' stamp: 'al 12/8/2005 21:18'!
loadOneAfterTheOther: aCollection merge: aBoolean
	| loader |
	(self newerVersionsIn: aCollection)
		do: [:fn |
			loader := aBoolean
				ifTrue: [ MCVersionMerger new ]
				ifFalse: [ MCVersionLoader new].
			loader addVersion: (self repository loadVersionFromFileNamed: fn).
			aBoolean
				ifTrue: [[loader merge] on: MCMergeResolutionRequest do: [:request |
							request merger conflicts isEmpty
								ifTrue: [request resume: true]
								ifFalse: [request pass]]]
				ifFalse: [loader load]]
  	  	displayingProgress: 'Loading versions...'.
	

! !

!ScriptLoader methodsFor: 'load primitives' stamp: 'al 5/10/2008 12:42'!
loadOneAfterTheOther: aCollection merge: aBoolean silently: anotherBoolean
	anotherBoolean
		ifTrue: [ 
			[ self loadOneAfterTheOther: aCollection merge: aBoolean silently: anotherBoolean ]
				on: ProgressInitiationException do: [:e | e sendNotificationsTo: [ :min :max :curr ] ] ]
		ifFalse: [
			self loadOneAfterTheOther: aCollection merge: aBoolean silently: anotherBoolean ]! !

!ScriptLoader methodsFor: 'public' stamp: 'sd 3/28/2008 18:32'!
loadPackageFromWaitingFolder
	"self defaultMCWaitingFolder allFileNames"
	"self new loadPackageFromWaitingFolder"
	
	| version |
	self waitingFolderMCZFiles
		do: [ :name |
			version := self class defaultMCWaitingFolder  versionFromFileNamed: name.
			version load.
			]! !

!ScriptLoader methodsFor: 'load primitives' stamp: 'sd 3/16/2008 08:54'!
loadTogether: aCollection merge: aBoolean
	| loader |
	loader := aBoolean
		ifTrue: [ MCVersionMerger new ]
		ifFalse: [ MCVersionLoader new].
	(self newerVersionsIn: aCollection)
		do: [:fn | loader addVersion: (self repository loadVersionFromFileNamed: fn)]
  	  	displayingProgress: 'Adding versions...'.
	aBoolean
		ifTrue: [[loader merge] on: MCMergeResolutionRequest do: [:request |
					request merger conflicts isEmpty
						ifTrue: [request resume: true]
						ifFalse: [request pass]]]
		ifFalse: [loader hasVersions ifTrue: [loader load]]

! !

!ScriptLoader methodsFor: 'load primitives' stamp: 'al 5/10/2008 12:41'!
loadTogether: aCollection merge: aBoolean silently: anotherBoolean
	anotherBoolean
		ifTrue: [ 
			[ self loadTogether: aCollection merge: aBoolean ]
				on: ProgressInitiationException do: [:e | e sendNotificationsTo: [ :min :max :curr ] ] ]
		ifFalse: [
			 self loadTogether: aCollection merge: aBoolean ]! !

!ScriptLoader methodsFor: 'log' stamp: 'sd 4/4/2008 14:47'!
log: aString

	self logStream cr; nextPutAll: aString ; cr.! !

!ScriptLoader methodsFor: 'log' stamp: 'sd 3/15/2008 18:30'!
logContents

	^ self logStream contents! !

!ScriptLoader methodsFor: 'log' stamp: 'stephane.ducasse 6/30/2008 22:39'!
logStream

	LogStream ifNil: [LogStream := ReadWriteStream on: (String new: 1000)].
	^ LogStream! !

!ScriptLoader methodsFor: 'public' stamp: 'stephane.ducasse 6/30/2008 15:19'!
markPackagesBeforeNewCodeIsLoaded
	"use this method to keep a log of all the packages that were loaded before loading new code.
	this will help the system to perform a diff and know after what to publish."
	
	"self new markPackagesBeforeNewCodeIsLoaded"
	
	PackagesBeforeLastLoad := self currentVersionsToBeSaved! !

!ScriptLoader methodsFor: 'public' stamp: 'stephane.ducasse 8/14/2008 14:23'!
mergePackageFromWaitingFolder
	"self defaultMCWaitingFolder allFileNames"
	"self new loadPackageFromWaitingFolder"
	
	| version |
	self waitingFolderMCZFiles
		do: [ :name |
			version := self class defaultMCWaitingFolder  versionFromFileNamed: name.
			version merge.
			]! !

!ScriptLoader methodsFor: 'load primitives' stamp: 'md 2/16/2006 16:43'!
mergePackagesNamed: names
	| vm  |
	repository _ MCHttpRepository
                location: 'http://source.squeakfoundation.org/39a'
                user: ''
                password: ''.

	vm _ MCVersionMerger new.
	names
		do: [:fn | vm addVersion: (repository loadVersionFromFileNamed: fn)]
		displayingProgress: 'Adding versions...'.

	[vm merge]
		on: MCMergeResolutionRequest do: [:request |
			request merger conflicts isEmpty
				ifTrue: [request resume: true]
				ifFalse: [request pass]]! !

!ScriptLoader methodsFor: 'public' stamp: 'sd 3/24/2008 17:03'!
methodsForNewVersion
	"Use me to generate the script and update method"
	"self new methodsForNewVersion"
	
	self compileScriptMethodWithCurrentPackages: (self getLatestScriptNumber + 1).
	self compileNewUpdateMethod.! !

!ScriptLoader methodsFor: 'load primitives' stamp: 'al 10/13/2005 21:44'!
newerVersionsIn: aCollection
	^aCollection reject: [:each |
		MCWorkingCopy allManagers anySatisfy: [:workingcopy |
			workingcopy ancestry ancestorString , '.mcz' = each]].! !

!ScriptLoader methodsFor: 'utils' stamp: 'sd 2/4/2008 16:09'!
openWindow: contents label: aLabel

	StringHolder new 
		contents: contents ;
		openLabel: aLabel! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 8/29/2006 08:41'!
packagesAndHome

^ #(
('MonticelloConfigurations' 
'http://source.impara.de/mc')
('Balloon' 
'http://source.squeakfoundation.org/Balloon')
('Compression'
'http://source.squeakfoundation.org/Compression')
('Flash'
'http://source.squeakfoundation.org/Balloon')
('Graphics'
'http://source.squeakfoundation.org/Graphics')
('GraphicsTests' 
'http://source.squeakfoundation.org/Graphics')
('ToolBuilder-Kernel'
'http://squeaksource.com/ToolBuilder')
('ToolBuilder-MVC'
'http://squeaksource.com/ToolBuilder')
('ToolBuilder-Morphic'
'http://squeaksource.com/ToolBuilder')
('ToolBuilder-SUnit'
'http://squeaksource.com/ToolBuilder')
('TrueType'
'http://source.squeakfoundation.org/Balloon')
('PackageInfo'
'http://www.squeaksource.com/PackageInfo')
('SMBase'
'http://source.squeakfoundation.org/SqueakMap')
('SMLoader'
'http://source.squeakfoundation.org/SqueakMap')
('Network'
'http://source.squeakfoundation.org/network')
('NetworkTests'
'http://source.squeakfoundation.org/network')
('VersionNumber'
'http://source.squeakfoundation.org/SqueakMap')
('OB-Standard'
'http://source.wiresong.ca/ob/')
('OmniBrowser'
'http://source.wiresong.ca/ob/')
('Monticello'
'http://source.wiresong.ca/mc/')
)
! !

!ScriptLoader methodsFor: 'public' stamp: 'stephane.ducasse 6/30/2008 15:07'!
packagesNotToSavePatternNames: aCol 
	"to mark the patterns of the packages that will not be saved as part of the core distribution."
	"self new packagesNotToSavePatternNames: #(
			'*ScriptLoader*'
			'*AST*'
			'*RefactoringEngine*'
			'*Installer*'
			'SLICE*'
		)."
	
	packagesNotToSavePatternNames := aCol! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/15/2008 17:32'!
removeAllRepositories: aColl
	"self new removeAllRepositories: 
			#('http://source.squeakfoundation.org/inbox/'
			 'http://source.squeakfoundation.org/39a/'
			 'http://source.squeakfoundation.org/Balloon/'
			 'http://source.squeakfoundation.org/Compression/'
			 'http://source.squeakfoundation.org/Graphics/'
			  'http://source.wiresong.ca/mc/')"

	
	MCWorkingCopy allManagers do: [:each | 
		aColl
			do: [:location | 
					each  repositoryGroup removeHTTPRepositoryLocationNamed: location]].
	! !

!ScriptLoader methodsFor: 'accessing' stamp: 'NorbertHartl 6/13/2008 11:46'!
repository
	Repository ifNil: [ Repository := 
						MCHttpRepository new
							location:  'http://www.squeaksource.com/Pharo';
							user: '';
							password: ''].
	^ Repository! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'stephaneducasse 1/14/2006 12:46'!
resetToolSet

	ToolSet default: nil! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'stephane.ducasse 5/16/2008 22:11'!
sapphireToPharoRepository
	"self new sapphireToPharoRepository"
	self removeAllRepositories: #('http://www.squeaksource.com/Sapphire/' 			'http://www.squeaksource.com/SapphireInbox/').
	self  addHomeRepositoryToAllPackages.! !

!ScriptLoader methodsFor: 'public' stamp: 'marcus.denker 8/18/2008 20:14'!
saveDirtyPackageInWaitingFolder
	"self new saveDirtyPackageInWaitingFolderWith: 'MVC Cleaning step2'"
	 
	self currentDirtyPackages do: [:each |
		self saveInToReloadCachePackage: each with: self commentForCurrentUpdate]! !

!ScriptLoader methodsFor: 'public' stamp: 'stephane.ducasse 6/17/2008 10:09'!
saveDirtyPackageInWaitingFolderWith: aMessageString
	"self new saveDirtyPackageInWaitingFolderWith: 'MVC Cleaning step2'"
	 
	self currentDirtyPackages do: [:each |
		self saveInToReloadCachePackage: each with: aMessageString]! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/24/2008 20:57'!
saveInToReloadCachePackage: aWorkingCopy with: aMessageString

	self savePackage: aWorkingCopy in: self class defaultMCWaitingFolder with: aMessageString! !

!ScriptLoader methodsFor: 'public' stamp: 'stephane.ducasse 8/22/2008 19:58'!
saveLatestScriptLoaderToHome
	"self new saveLatestScriptLoaderToHome"

	| man r |
	man := MCWorkingCopy allManagers.
	r := man select: [:each | 'ScriptLoader*' match: each  package name].
	self repository storeVersion: r first newVersion.! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/28/2008 08:39'!
savePackage: aWorkingCopy in: aRepository with: aMessageString
	"|sc|
	  sc := self new.
	  sc savePackage: (sc workingCopyFromPackageName: 'ScriptLoader') 
			in: MCCacheRepository default
			with: 'this is test to automate dirty package saving in cache'"

	aRepository storeVersion: 
			(aWorkingCopy 
					newVersionWithName: aWorkingCopy uniqueVersionName 
					message: aMessageString)
					
				"does not work since we may produce number that are wrong. 
				We should look in the ancestry"! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'sd 3/12/2008 15:23'!
script100

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-sd.57.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
Files-md.18.mcz
FixUnderscores-cmm.10.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.152.mcz
KernelTests-sd.51.mcz
Monticello-md.308.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.116.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.35.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-md.33.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
System-sd.105.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.19.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-md.74.mcz
Traits-sd.226.mcz
TrueType-ar.4.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'sd 3/12/2008 15:54'!
script101

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-sd.57.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
Files-md.18.mcz
FixUnderscores-cmm.10.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.152.mcz
KernelTests-sd.51.mcz
Monticello-md.308.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.117.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.36.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-md.33.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
System-sd.106.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.19.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-sd.75.mcz
Traits-sd.226.mcz
TrueType-ar.4.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'sd 3/15/2008 14:49'!
script102

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-sd.57.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
Files-md.18.mcz
FixUnderscores-cmm.10.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.152.mcz
KernelTests-sd.51.mcz
Monticello-sd.309.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.117.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.36.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-md.33.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
System-sd.106.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.19.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-sd.75.mcz
Traits-sd.226.mcz
TrueType-ar.4.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'sd 3/16/2008 14:50'!
script103

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-sd.57.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
Files-md.18.mcz
FixUnderscores-cmm.10.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.153.mcz
KernelTests-sd.51.mcz
Monticello-sd.309.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.117.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.36.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
System-sd.106.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.19.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-sd.75.mcz
Traits-sd.226.mcz
TrueType-ar.4.mcz
VersionNumber-md.2.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'sd 3/16/2008 15:38'!
script104

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-sd.57.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
Files-md.18.mcz
FixUnderscores-sd.11.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.155.mcz
KernelTests-sd.51.mcz
Monticello-sd.309.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.117.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.36.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
System-sd.106.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.19.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-sd.75.mcz
Traits-sd.226.mcz
TrueType-ar.4.mcz
VersionNumber-md.2.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'sd 3/16/2008 15:53'!
script105

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-sd.57.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-md.9.mcz
Files-md.19.mcz
FixUnderscores-sd.11.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.155.mcz
KernelTests-sd.51.mcz
Monticello-sd.309.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.117.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.36.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
System-sd.106.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.19.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-sd.75.mcz
Traits-sd.226.mcz
TrueType-ar.4.mcz
VersionNumber-md.2.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'sd 3/20/2008 22:02'!
script106

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-sd.71.mcz
CollectionsTests-md.34.mcz
Compiler-sd.57.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-md.9.mcz
Files-md.19.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-al.5.mcz
Graphics-sd.40.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.155.mcz
KernelTests-sd.52.mcz
Monticello-sd.309.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.117.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-sd.33.mcz
NetworkTests-md.9.mcz
PackageInfo-sd.7.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.36.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.7.mcz
System-sd.107.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.19.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-sd.76.mcz
Traits-sd.226.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'sd 3/22/2008 21:19'!
script107

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-sd.72.mcz
CollectionsTests-md.34.mcz
Compiler-sd.58.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-md.9.mcz
Files-md.19.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-al.5.mcz
Graphics-sd.40.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.155.mcz
KernelTests-sd.53.mcz
Monticello-sd.310.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.117.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-sd.33.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.36.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.8.mcz
System-sd.108.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-sd.77.mcz
Traits-sd.227.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'sd 3/24/2008 16:17'!
script108

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-sd.72.mcz
CollectionsTests-md.34.mcz
Compiler-sd.59.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-md.9.mcz
Files-md.19.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-al.5.mcz
Graphics-sd.42.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.155.mcz
KernelTests-sd.53.mcz
Monticello-sd.310.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.118.mcz
MorphicExtras-sd.32.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-sd.35.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.36.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-sd.109.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-sd.77.mcz
Traits-sd.227.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'sd 3/28/2008 19:06'!
script109

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-sd.73.mcz
CollectionsTests-md.34.mcz
Compiler-sd.59.mcz
Compression-sd.9.mcz
EToys-sd.21.mcz
Exceptions-md.9.mcz
Files-md.19.mcz
FixUnderscores-sd.11.mcz
Graphics-sd.43.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.156.mcz
KernelTests-sd.53.mcz
Monticello-sd.310.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.118.mcz
MorphicExtras-sd.32.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-sd.35.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.36.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-sd.110.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-sd.77.mcz
Traits-sd.227.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'sd 5/10/2008 09:52'!
script110

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-sd.75.mcz
CollectionsTests-md.34.mcz
Compiler-sd.59.mcz
Compression-sd.11.mcz
EToys-sd.21.mcz
Exceptions-md.9.mcz
Files-sd.21.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-sd.43.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.158.mcz
KernelTests-sd.56.mcz
Monticello-sd.313.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.118.mcz
MorphicExtras-sd.32.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-sd.35.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.36.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-sd.112.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-sd.79.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'md 5/10/2008 13:04'!
script111

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-md.76.mcz
CollectionsTests-md.35.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-sd.21.mcz
Exceptions-md.9.mcz
Files-sd.21.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-sd.43.mcz
GraphicsTests-ar.9.mcz
Kernel-md.159.mcz
KernelTests-md.57.mcz
Monticello-sd.313.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-md.119.mcz
MorphicExtras-md.34.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-sd.35.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-md.38.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-md.113.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-md.80.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'sd 5/10/2008 14:37'!
script112

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-md.76.mcz
CollectionsTests-md.35.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-sd.21.mcz
Exceptions-md.9.mcz
Files-sd.21.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-sd.43.mcz
GraphicsTests-ar.9.mcz
Kernel-md.159.mcz
KernelTests-md.57.mcz
Monticello-sd.313.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-md.119.mcz
MorphicExtras-md.34.mcz
MorphicTests-md.6.mcz
Multilingual-al.24.mcz
Nebraska-md.13.mcz
Network-sd.35.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-md.38.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-md.113.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-md.80.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false silently: true.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'sd 5/10/2008 18:20'!
script113

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-md.76.mcz
CollectionsTests-md.35.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-sd.22.mcz
Exceptions-md.9.mcz
Files-sd.21.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-sd.43.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.160.mcz
KernelTests-md.57.mcz
Monticello-sd.314.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.120.mcz
MorphicExtras-md.34.mcz
MorphicTests-md.6.mcz
Multilingual-al.24.mcz
Nebraska-md.13.mcz
Network-sd.35.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-md.38.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-sd.114.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-sd.81.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 5/11/2008 14:02'!
script114

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-md.77.mcz
CollectionsTests-md.35.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-sd.22.mcz
Exceptions-md.9.mcz
Files-sd.21.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.45.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.160.mcz
KernelTests-md.57.mcz
Monticello-sd.314.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.121.mcz
MorphicExtras-stephane.ducasse.35.mcz
MorphicTests-md.6.mcz
Multilingual-al.24.mcz
Nebraska-stephane.ducasse.15.mcz
Network-on.36.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.39.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-stephane.ducasse.115.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.82.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.
	
	self loadOneAfterTheOther: 	
			#('Monticello-stephane.ducasse.315.mcz') merge: false.
! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 5/17/2008 09:44'!
script115

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-md.77.mcz
CollectionsTests-md.35.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-sd.22.mcz
Exceptions-md.9.mcz
Files-sd.21.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.45.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.160.mcz
KernelTests-md.57.mcz
Monticello-stephane.ducasse.315.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.122.mcz
MorphicExtras-stephane.ducasse.35.mcz
MorphicTests-md.6.mcz
Multilingual-al.24.mcz
Network-on.36.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.39.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-stephane.ducasse.115.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.82.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 5/17/2008 09:59'!
script116

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-md.77.mcz
CollectionsTests-md.35.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-sd.22.mcz
Exceptions-md.9.mcz
Files-sd.21.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.45.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.160.mcz
KernelTests-md.57.mcz
Monticello-stephane.ducasse.315.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.122.mcz
MorphicExtras-stephane.ducasse.35.mcz
MorphicTests-md.6.mcz
Multilingual-al.24.mcz
Network-on.36.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.39.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-stephane.ducasse.116.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.82.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 5/21/2008 22:37'!
script117

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-stephane.ducasse.79.mcz
CollectionsTests-on.37.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-md.23.mcz
Exceptions-md.9.mcz
Files-sd.21.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.45.mcz
GraphicsTests-zz.10.mcz
Kernel-sd.160.mcz
KernelTests-md.57.mcz
Monticello-stephane.ducasse.315.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.123.mcz
MorphicExtras-stephane.ducasse.35.mcz
MorphicTests-md.6.mcz
Multilingual-stephane.ducasse.26.mcz
Network-stephane.ducasse.37.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.39.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-stephane.ducasse.117.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.82.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 5/24/2008 16:57'!
script118

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-stephane.ducasse.79.mcz
CollectionsTests-on.37.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-md.23.mcz
Exceptions-md.9.mcz
Files-sd.21.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.45.mcz
GraphicsTests-zz.10.mcz
Kernel-sd.160.mcz
KernelTests-md.57.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.123.mcz
MorphicExtras-stephane.ducasse.35.mcz
MorphicTests-md.6.mcz
Multilingual-stephane.ducasse.26.mcz
Network-stephane.ducasse.37.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.39.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-stephane.ducasse.117.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.82.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'lukas.renggli 5/27/2008 17:54'!
script119

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-stephane.ducasse.79.mcz
CollectionsTests-stephane.ducasse.38.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-md.23.mcz
Exceptions-md.9.mcz
Files-stephane.ducasse.22.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.46.mcz
GraphicsTests-zz.10.mcz
Kernel-stephane.ducasse.161.mcz
KernelTests-stephane.ducasse.59.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.123.mcz
MorphicExtras-stephane.ducasse.35.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.26.mcz
Network-stephane.ducasse.37.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.86.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.40.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-stephane.ducasse.119.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-stephane.ducasse.21.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.84.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 6/2/2008 22:27'!
script120

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-stephane.ducasse.79.mcz
CollectionsTests-stephane.ducasse.38.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-md.23.mcz
Exceptions-md.9.mcz
Files-stephane.ducasse.22.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.46.mcz
GraphicsTests-zz.10.mcz
Kernel-stephane.ducasse.162.mcz
KernelTests-stephane.ducasse.60.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.123.mcz
MorphicExtras-stephane.ducasse.35.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.26.mcz
Network-stephane.ducasse.37.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.86.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.40.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-stephane.ducasse.119.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-stephane.ducasse.21.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.84.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 6/4/2008 20:46'!
script121

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-SergeStinckwich.80.mcz
CollectionsTests-stephane.ducasse.39.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-md.23.mcz
Exceptions-md.9.mcz
Files-stephane.ducasse.23.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.46.mcz
GraphicsTests-zz.10.mcz
Kernel-stephane.ducasse.162.mcz
KernelTests-stephane.ducasse.60.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.123.mcz
MorphicExtras-stephane.ducasse.35.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.26.mcz
Network-stephane.ducasse.37.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.86.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.40.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-stephane.ducasse.119.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-stephane.ducasse.21.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.84.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 6/4/2008 22:32'!
script122

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-SergeStinckwich.80.mcz
CollectionsTests-stephane.ducasse.39.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-md.23.mcz
Exceptions-md.9.mcz
Files-stephane.ducasse.23.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.46.mcz
GraphicsTests-zz.10.mcz
Kernel-stephane.ducasse.162.mcz
KernelTests-stephane.ducasse.61.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-NorbertHartl.124.mcz
MorphicExtras-stephane.ducasse.35.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.26.mcz
Network-stephane.ducasse.37.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.86.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.40.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-NorbertHartl.120.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-stephane.ducasse.21.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.84.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'al 6/7/2008 16:59'!
script123
	| names composition trait |
	"First load some support code"
	self loadTogether: #('Traits-al.231.mcz') merge: false.
		
	"Flatten down and remove traits (avoid to reference traits that are being removed!!)"
	TPureBehavior flattenDownAllTraits.
	#(TCompilingBehavior TUpdateTraitsBehavior TAccessingTraitCompositionBehavior) do: [ :each |
		(Smalltalk at: each) removeFromSystem ].
	composition := #(TBasicCategorisingDescription TCompilingDescription TAccessingMethodDictDescription TTraitsCategorisingDescription TPrintingDescription TCommentDescription TFileInOutDescription TTestingDescription)
		inject: (Smalltalk at: #TCopyingDescription)
		into: [ :a :b | a + (Smalltalk at: b) ].
	trait := Trait named: #TClassAndTraitDescription
		uses: composition
		category: 'Traits-Kernel-Traits'.
	trait flattenDownAllTraits.
	Behavior subclass: #ClassDescription
		uses: trait
		instanceVariableNames: 'instanceVariables organization'
		classVariableNames: ''
		poolDictionaries: ''
		category: 'Kernel-Classes'.
	TraitBehavior subclass: #TraitDescription
		uses: trait + TComposingDescription + TTransformationCompatibility
		instanceVariableNames: 'organization'
		classVariableNames: ''
		poolDictionaries: ''
		category: 'Traits-Kernel'.
	composition allTraits do: [:each | each removeFromSystem ].
	composition := nil.
	Undeclared removeUnreferencedKeys.
	Smalltalk garbageCollect; garbageCollect.
	
	"now update as usual"
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-SergeStinckwich.80.mcz
CollectionsTests-stephane.ducasse.39.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-md.23.mcz
Exceptions-md.9.mcz
Files-stephane.ducasse.23.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.46.mcz
GraphicsTests-zz.10.mcz
Kernel-al.164.mcz
KernelTests-stephane.ducasse.61.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-NorbertHartl.124.mcz
MorphicExtras-stephane.ducasse.35.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.26.mcz
Network-stephane.ducasse.37.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.86.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.40.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-NorbertHartl.120.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-stephane.ducasse.21.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.84.mcz
Traits-al.232.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 6/8/2008 22:28'!
script124

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-SergeStinckwich.80.mcz
CollectionsTests-stephane.ducasse.39.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-md.23.mcz
Exceptions-md.9.mcz
Files-stephane.ducasse.23.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-sd.47.mcz
GraphicsTests-SergeStinckwich.11.mcz
Kernel-al.164.mcz
KernelTests-stephane.ducasse.61.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-NorbertHartl.124.mcz
MorphicExtras-stephane.ducasse.35.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.26.mcz
Network-stephane.ducasse.37.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.86.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.40.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-NorbertHartl.120.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-SergeStinckwich.22.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.84.mcz
Traits-al.232.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 6/10/2008 18:57'!
script125

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-stephane.ducasse.81.mcz
CollectionsTests-stephane.ducasse.39.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-md.23.mcz
Exceptions-md.9.mcz
Files-stephane.ducasse.23.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.48.mcz
GraphicsTests-stephane.ducasse.12.mcz
Kernel-stephane.ducasse.165.mcz
KernelTests-stephane.ducasse.61.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.125.mcz
MorphicExtras-stephane.ducasse.35.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.26.mcz
Network-stephane.ducasse.37.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.86.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.40.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-stephane.ducasse.121.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-SergeStinckwich.22.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.84.mcz
Traits-al.232.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 6/10/2008 21:30'!
script126

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-stephane.ducasse.81.mcz
CollectionsTests-stephane.ducasse.39.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-md.23.mcz
Exceptions-alain.plantec.10.mcz
Files-stephane.ducasse.23.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.48.mcz
GraphicsTests-stephane.ducasse.12.mcz
Kernel-stephane.ducasse.165.mcz
KernelTests-stephane.ducasse.61.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.125.mcz
MorphicExtras-alain.plantec.36.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.26.mcz
Network-alain.plantec.38.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.86.mcz
SMLoader-gk.37.mcz
ST80-alain.plantec.41.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-stephane.ducasse.121.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-SergeStinckwich.22.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-alain.plantec.21.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-alain.plantec.85.mcz
Traits-al.232.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 6/13/2008 09:43'!
script127

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-stephane.ducasse.81.mcz
CollectionsTests-stephane.ducasse.39.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-md.23.mcz
Exceptions-alain.plantec.10.mcz
Files-stephane.ducasse.23.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.48.mcz
GraphicsTests-stephane.ducasse.12.mcz
Kernel-al.166.mcz
KernelTests-al.62.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.125.mcz
MorphicExtras-alain.plantec.36.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.26.mcz
Network-alain.plantec.38.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.86.mcz
SMLoader-gk.37.mcz
ST80-alain.plantec.41.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-al.122.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-al.23.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-alain.plantec.21.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-alain.plantec.85.mcz
Traits-al.232.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 6/14/2008 13:56'!
script128

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-stephane.ducasse.81.mcz
CollectionsTests-stephane.ducasse.39.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-md.23.mcz
Exceptions-alain.plantec.10.mcz
Files-stephane.ducasse.23.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.48.mcz
GraphicsTests-stephane.ducasse.12.mcz
Kernel-al.167.mcz
KernelTests-stephane.ducasse.65.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.125.mcz
MorphicExtras-alain.plantec.36.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-NorbertHartl.27.mcz
Network-alain.plantec.38.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.86.mcz
SMLoader-gk.37.mcz
ST80-alain.plantec.41.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-al.122.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-al.23.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-alain.plantec.21.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-alain.plantec.85.mcz
Traits-al.232.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 6/14/2008 15:30'!
script129

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-stephane.ducasse.81.mcz
CollectionsTests-stephane.ducasse.39.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-md.23.mcz
Exceptions-alain.plantec.10.mcz
Files-on.24.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.48.mcz
GraphicsTests-stephane.ducasse.13.mcz
Kernel-al.167.mcz
KernelTests-stephane.ducasse.65.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.126.mcz
MorphicExtras-alain.plantec.36.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-NorbertHartl.27.mcz
Network-alain.plantec.38.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.86.mcz
SMLoader-gk.37.mcz
ST80-alain.plantec.41.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-al.122.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-al.23.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-alain.plantec.21.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-alain.plantec.85.mcz
Traits-al.232.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 6/14/2008 17:10'!
script130

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-stephane.ducasse.82.mcz
CollectionsTests-stephane.ducasse.40.mcz
Compiler-md.60.mcz
Compression-damiencassou.12.mcz
EToys-md.23.mcz
Exceptions-alain.plantec.10.mcz
Files-on.24.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.49.mcz
GraphicsTests-stephane.ducasse.14.mcz
Kernel-stephane.ducasse.168.mcz
KernelTests-stephane.ducasse.66.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.127.mcz
MorphicExtras-alain.plantec.36.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.28.mcz
Network-stephane.ducasse.39.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.86.mcz
SMLoader-gk.37.mcz
ST80-alain.plantec.41.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-damiencassou.10.mcz
Sound-sd.9.mcz
System-stephane.ducasse.123.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-al.23.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-alain.plantec.21.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.86.mcz
Traits-al.232.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 6/17/2008 10:32'!
script131

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-stephane.ducasse.83.mcz
CollectionsTests-stephane.ducasse.40.mcz
Compiler-md.60.mcz
Compression-damiencassou.12.mcz
EToys-md.23.mcz
Exceptions-alain.plantec.10.mcz
Files-on.24.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.50.mcz
GraphicsTests-stephane.ducasse.14.mcz
Kernel-stephane.ducasse.169.mcz
KernelTests-stephane.ducasse.66.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.128.mcz
MorphicExtras-stephane.ducasse.37.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.28.mcz
Network-stephane.ducasse.40.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.86.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.42.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-damiencassou.10.mcz
Sound-sd.9.mcz
System-stephane.ducasse.124.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-al.23.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-alain.plantec.21.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.87.mcz
Traits-al.232.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'al 6/18/2008 22:11'!
script132

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-NorbertHartl.84.mcz
CollectionsTests-stephane.ducasse.40.mcz
Compiler-md.60.mcz
Compression-damiencassou.12.mcz
EToys-md.23.mcz
Exceptions-alain.plantec.10.mcz
Files-on.24.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.50.mcz
GraphicsTests-stephane.ducasse.14.mcz
Kernel-stephane.ducasse.169.mcz
KernelTests-stephane.ducasse.66.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.128.mcz
MorphicExtras-stephane.ducasse.37.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.28.mcz
Network-stephane.ducasse.40.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.86.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.42.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-damiencassou.10.mcz
Sound-sd.9.mcz
System-al.126.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-al.24.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-alain.plantec.21.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.87.mcz
Traits-NorbertHartl.233.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 6/21/2008 20:57'!
script133

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-NorbertHartl.84.mcz
CollectionsTests-stephane.ducasse.40.mcz
Compiler-md.60.mcz
Compression-damiencassou.12.mcz
EToys-stephane.ducasse.24.mcz
Exceptions-stephane.ducasse.11.mcz
Files-on.24.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.51.mcz
GraphicsTests-stephane.ducasse.14.mcz
Kernel-stephane.ducasse.169.mcz
KernelTests-stephane.ducasse.66.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.129.mcz
MorphicExtras-stephane.ducasse.38.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.28.mcz
Network-stephane.ducasse.41.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.87.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.43.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-damiencassou.10.mcz
Sound-sd.9.mcz
System-stephane.ducasse.127.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-al.24.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-alain.plantec.21.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.88.mcz
Traits-NorbertHartl.233.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 6/24/2008 22:22'!
script134

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-NorbertHartl.85.mcz
CollectionsTests-stephane.ducasse.40.mcz
Compiler-md.60.mcz
Compression-damiencassou.12.mcz
EToys-stephane.ducasse.24.mcz
Exceptions-stephane.ducasse.11.mcz
Files-on.24.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.52.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-stephane.ducasse.169.mcz
KernelTests-stephane.ducasse.66.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.130.mcz
MorphicExtras-stephane.ducasse.38.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.28.mcz
Network-stephane.ducasse.41.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.87.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.43.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-damiencassou.10.mcz
Sound-sd.9.mcz
System-stephane.ducasse.128.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-al.24.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-alain.plantec.21.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.89.mcz
Traits-NorbertHartl.233.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 6/24/2008 23:01'!
script135

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-NorbertHartl.85.mcz
CollectionsTests-NorbertHartl.42.mcz
Compiler-md.60.mcz
Compression-damiencassou.12.mcz
EToys-stephane.ducasse.24.mcz
Exceptions-stephane.ducasse.11.mcz
Files-on.24.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.52.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-stephane.ducasse.169.mcz
KernelTests-stephane.ducasse.66.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.132.mcz
MorphicExtras-stephane.ducasse.40.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.28.mcz
Network-stephane.ducasse.41.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.87.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.43.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-damiencassou.10.mcz
Sound-sd.9.mcz
System-stephane.ducasse.130.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-NorbertHartl.26.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-alain.plantec.21.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.89.mcz
Traits-NorbertHartl.233.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 6/25/2008 21:02'!
script136

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-NorbertHartl.85.mcz
CollectionsTests-stephane.ducasse.43.mcz
Compiler-md.60.mcz
Compression-damiencassou.12.mcz
EToys-stephane.ducasse.24.mcz
Exceptions-stephane.ducasse.11.mcz
Files-on.24.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.52.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-stephane.ducasse.169.mcz
KernelTests-al.67.mcz
Monticello-AlexandreBergel.320.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.132.mcz
MorphicExtras-stephane.ducasse.40.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.28.mcz
Network-stephane.ducasse.41.mcz
NetworkTests-sd.10.mcz
PackageInfo-AlexandreBergel.10.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.87.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.43.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-damiencassou.10.mcz
Sound-sd.9.mcz
System-stephane.ducasse.130.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-NorbertHartl.26.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-alain.plantec.21.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.89.mcz
Traits-stephane.ducasse.234.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 6/30/2008 20:01'!
script137

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-NorbertHartl.85.mcz
CollectionsTests-stephane.ducasse.43.mcz
Compiler-md.60.mcz
Compression-damiencassou.12.mcz
EToys-stephane.ducasse.24.mcz
Exceptions-stephane.ducasse.11.mcz
Files-on.24.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.52.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-stephane.ducasse.169.mcz
KernelTests-al.67.mcz
Monticello-AlexandreBergel.320.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.132.mcz
MorphicExtras-stephane.ducasse.40.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.28.mcz
Network-stephane.ducasse.41.mcz
NetworkTests-sd.10.mcz
PackageInfo-al.12.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.87.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.43.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-damiencassou.10.mcz
Sound-sd.9.mcz
System-NorbertHartl.131.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-al.29.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-alain.plantec.21.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.89.mcz
Traits-stephane.ducasse.234.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephaneducasse 7/2/2008 08:28'!
script138

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-NorbertHartl.85.mcz
CollectionsTests-dc.63.mcz
Compiler-md.60.mcz
Compression-damiencassou.12.mcz
EToys-stephane.ducasse.24.mcz
Exceptions-stephane.ducasse.11.mcz
Files-on.24.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.52.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-stephane.ducasse.169.mcz
KernelTests-al.67.mcz
Monticello-AlexandreBergel.320.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.132.mcz
MorphicExtras-alain.plantec.41.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.28.mcz
Network-stephane.ducasse.41.mcz
NetworkTests-sd.10.mcz
PackageInfo-al.12.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.87.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.43.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-damiencassou.10.mcz
Sound-sd.9.mcz
System-NorbertHartl.131.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-al.29.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-alain.plantec.21.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.89.mcz
Traits-stephane.ducasse.234.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephaneducasse 7/3/2008 22:27'!
script139

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-stephaneducasse.90.mcz
CollectionsTests-stephaneducasse.65.mcz
Compiler-md.60.mcz
Compression-damiencassou.12.mcz
EToys-stephane.ducasse.24.mcz
Exceptions-stephane.ducasse.11.mcz
Files-on.24.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.52.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-stephane.ducasse.169.mcz
KernelTests-al.67.mcz
Monticello-AlexandreBergel.320.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.132.mcz
MorphicExtras-alain.plantec.41.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.28.mcz
Network-stephane.ducasse.41.mcz
NetworkTests-sd.10.mcz
PackageInfo-al.12.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.87.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.43.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-damiencassou.10.mcz
Sound-sd.9.mcz
System-NorbertHartl.131.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-al.29.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-alain.plantec.21.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.89.mcz
Traits-stephane.ducasse.234.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'al 7/14/2008 18:46'!
script140

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-al.94.mcz
CollectionsTests-NorbertHartl.66.mcz
Compiler-md.60.mcz
Compression-damiencassou.12.mcz
EToys-al.27.mcz
Exceptions-stephane.ducasse.11.mcz
Files-on.24.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.52.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-NorbertHartl.171.mcz
KernelTests-NorbertHartl.68.mcz
Monticello-AlexandreBergel.320.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-al.135.mcz
MorphicExtras-alain.plantec.41.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.28.mcz
Network-stephane.ducasse.41.mcz
NetworkTests-sd.10.mcz
PackageInfo-al.12.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.87.mcz
SMLoader-gk.37.mcz
ST80-NorbertHartl.44.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-damiencassou.10.mcz
Sound-sd.9.mcz
System-NorbertHartl.131.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-al.32.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-NorbertHartl.22.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-al.90.mcz
Traits-stephane.ducasse.234.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 8/7/2008 23:25'!
script141

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-al.96.mcz
CollectionsTests-NorbertHartl.66.mcz
Compiler-md.60.mcz
Compression-damiencassou.12.mcz
EToys-al.27.mcz
Exceptions-stephane.ducasse.11.mcz
Files-dc.25.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.52.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-stephane.ducasse.176.mcz
KernelTests-NorbertHartl.68.mcz
Monticello-AlexandreBergel.320.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.136.mcz
MorphicExtras-al.42.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-dc.29.mcz
Network-stephane.ducasse.41.mcz
NetworkTests-sd.10.mcz
PackageInfo-al.12.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.87.mcz
SMLoader-gk.37.mcz
ST80-NorbertHartl.44.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-damiencassou.10.mcz
Sound-sd.9.mcz
System-al.133.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-al.32.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-NorbertHartl.22.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-dc.91.mcz
Traits-dc.235.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 8/8/2008 16:52'!
script142

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-al.96.mcz
CollectionsTests-NorbertHartl.66.mcz
Compiler-md.60.mcz
Compression-damiencassou.12.mcz
EToys-al.27.mcz
Exceptions-stephane.ducasse.11.mcz
Files-dc.25.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.52.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-stephane.ducasse.177.mcz
KernelTests-NorbertHartl.68.mcz
Monticello-AlexandreBergel.320.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.137.mcz
MorphicExtras-al.42.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-dc.29.mcz
Network-AlexandreBergel.42.mcz
NetworkTests-sd.10.mcz
PackageInfo-al.12.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.87.mcz
SMLoader-gk.37.mcz
ST80-NorbertHartl.44.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-damiencassou.10.mcz
Sound-sd.9.mcz
System-stephane.ducasse.136.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-al.32.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-NorbertHartl.22.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-dc.91.mcz
Traits-dc.235.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 8/8/2008 17:17'!
script143

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-al.96.mcz
CollectionsTests-NorbertHartl.66.mcz
Compiler-md.60.mcz
Compression-damiencassou.12.mcz
EToys-al.27.mcz
Exceptions-stephane.ducasse.11.mcz
Files-dc.25.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.52.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-stephane.ducasse.178.mcz
KernelTests-al.70.mcz
Monticello-AlexandreBergel.320.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.137.mcz
MorphicExtras-al.42.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-dc.29.mcz
Network-AlexandreBergel.42.mcz
NetworkTests-sd.10.mcz
PackageInfo-al.12.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.87.mcz
SMLoader-gk.37.mcz
ST80-NorbertHartl.44.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-damiencassou.10.mcz
Sound-sd.9.mcz
System-stephane.ducasse.136.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-al.32.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-NorbertHartl.22.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-dc.91.mcz
Traits-dc.235.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 8/11/2008 20:33'!
script144

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-al.96.mcz
CollectionsTests-NorbertHartl.66.mcz
Compiler-md.60.mcz
Compression-damiencassou.12.mcz
EToys-al.27.mcz
Exceptions-stephane.ducasse.11.mcz
Files-dc.25.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.52.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-stephane.ducasse.179.mcz
KernelTests-al.70.mcz
Monticello-AlexandreBergel.322.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.138.mcz
MorphicExtras-al.42.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-dc.29.mcz
Network-AlexandreBergel.42.mcz
NetworkTests-sd.10.mcz
PackageInfo-al.12.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.87.mcz
SMLoader-gk.37.mcz
ST80-NorbertHartl.44.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-damiencassou.10.mcz
Sound-sd.9.mcz
System-stephane.ducasse.136.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-al.32.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-NorbertHartl.22.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-dc.91.mcz
Traits-dc.235.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'marcus.denker 8/11/2008 20:55'!
script145

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-marcus.denker.97.mcz
CollectionsTests-marcus.denker.67.mcz
Compiler-md.60.mcz
Compression-damiencassou.12.mcz
EToys-al.27.mcz
Exceptions-stephane.ducasse.11.mcz
Files-dc.25.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.52.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-stephane.ducasse.179.mcz
KernelTests-al.70.mcz
Monticello-AlexandreBergel.322.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-marcus.denker.139.mcz
MorphicExtras-al.42.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-dc.29.mcz
Network-AlexandreBergel.42.mcz
NetworkTests-sd.10.mcz
PackageInfo-al.12.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.87.mcz
SMLoader-gk.37.mcz
ST80-NorbertHartl.44.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-damiencassou.10.mcz
Sound-sd.9.mcz
System-stephane.ducasse.136.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-al.32.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-NorbertHartl.22.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-dc.91.mcz
Traits-dc.235.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 8/12/2008 17:54'!
script146

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-marcus.denker.97.mcz
CollectionsTests-marcus.denker.67.mcz
Compiler-md.60.mcz
Compression-damiencassou.12.mcz
EToys-al.27.mcz
Exceptions-stephane.ducasse.11.mcz
Files-dc.25.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.52.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-stephane.ducasse.179.mcz
KernelTests-al.70.mcz
Monticello-AlexandreBergel.323.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.140.mcz
MorphicExtras-al.42.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-dc.29.mcz
Network-AlexandreBergel.42.mcz
NetworkTests-sd.10.mcz
PackageInfo-al.12.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.87.mcz
SMLoader-gk.37.mcz
ST80-NorbertHartl.44.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-damiencassou.10.mcz
Sound-sd.9.mcz
System-stephane.ducasse.136.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-al.32.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-NorbertHartl.22.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-dc.91.mcz
Traits-dc.235.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'marcus.denker 8/14/2008 15:11'!
script147

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-md.14.mcz
Collections-md.98.mcz
CollectionsTests-marcus.denker.67.mcz
Compiler-md.60.mcz
Compression-md.13.mcz
EToys-al.27.mcz
Exceptions-stephane.ducasse.11.mcz
Files-md.26.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-md.53.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-md.180.mcz
KernelTests-al.70.mcz
Monticello-AlexandreBergel.323.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-marcus.denker.141.mcz
MorphicExtras-md.44.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-md.30.mcz
Network-AlexandreBergel.42.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.13.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.87.mcz
SMLoader-gk.37.mcz
ST80-NorbertHartl.44.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-damiencassou.10.mcz
Sound-md.10.mcz
System-md.137.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-al.32.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-NorbertHartl.22.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-md.92.mcz
Traits-dc.235.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'marcus.denker 8/15/2008 18:24'!
script148

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-md.14.mcz
Collections-marcus.denker.99.mcz
CollectionsTests-marcus.denker.68.mcz
Compiler-marcus.denker.61.mcz
Compression-md.13.mcz
EToys-marcus.denker.28.mcz
Exceptions-stephane.ducasse.11.mcz
Files-marcus.denker.27.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-md.53.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-marcus.denker.181.mcz
KernelTests-al.70.mcz
Monticello-marcus.denker.324.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-marcus.denker.142.mcz
MorphicExtras-marcus.denker.45.mcz
MorphicTests-marcus.denker.8.mcz
Multilingual-marcus.denker.31.mcz
Network-AlexandreBergel.42.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.13.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-marcus.denker.88.mcz
SMLoader-gk.37.mcz
ST80-NorbertHartl.44.mcz
SUnit-marcus.denker.34.mcz
SUnitGUI-sd.7.mcz
Services-Base-marcus.denker.35.mcz
SmaCC-damiencassou.10.mcz
Sound-md.10.mcz
System-marcus.denker.138.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-al.32.mcz
ToolBuilder-Kernel-marcus.denker.19.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-NorbertHartl.22.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-marcus.denker.93.mcz
Traits-marcus.denker.236.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'marcus.denker 8/18/2008 12:16'!
script149

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-md.14.mcz
Collections-marcus.denker.99.mcz
CollectionsTests-marcus.denker.68.mcz
Compiler-marcus.denker.65.mcz
Compression-md.13.mcz
EToys-marcus.denker.28.mcz
Exceptions-stephane.ducasse.11.mcz
Files-marcus.denker.27.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-marcus.denker.54.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-marcus.denker.183.mcz
KernelTests-al.70.mcz
Monticello-marcus.denker.324.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-marcus.denker.143.mcz
MorphicExtras-marcus.denker.46.mcz
MorphicTests-marcus.denker.8.mcz
Multilingual-marcus.denker.31.mcz
Network-AlexandreBergel.42.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.13.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-marcus.denker.88.mcz
SMLoader-gk.37.mcz
ST80-NorbertHartl.44.mcz
SUnit-marcus.denker.34.mcz
SUnitGUI-sd.7.mcz
Services-Base-marcus.denker.35.mcz
SmaCC-damiencassou.10.mcz
Sound-marcus.denker.11.mcz
System-marcus.denker.139.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-al.32.mcz
ToolBuilder-Kernel-marcus.denker.19.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-NorbertHartl.22.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-marcus.denker.94.mcz
Traits-marcus.denker.236.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'marcus.denker 8/18/2008 20:39'!
script150

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-md.14.mcz
Collections-marcus.denker.99.mcz
CollectionsTests-marcus.denker.68.mcz
Compiler-marcus.denker.65.mcz
Compression-md.13.mcz
EToys-marcus.denker.28.mcz
Exceptions-stephane.ducasse.11.mcz
Files-marcus.denker.27.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-marcus.denker.54.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-marcus.denker.183.mcz
KernelTests-al.70.mcz
Monticello-marcus.denker.324.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-marcus.denker.143.mcz
MorphicExtras-marcus.denker.47.mcz
MorphicTests-marcus.denker.8.mcz
Multilingual-marcus.denker.31.mcz
Network-AlexandreBergel.42.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.13.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-marcus.denker.88.mcz
SMLoader-gk.37.mcz
ST80-NorbertHartl.44.mcz
SUnit-marcus.denker.34.mcz
SUnitGUI-sd.7.mcz
Services-Base-marcus.denker.35.mcz
SmaCC-damiencassou.10.mcz
Sound-marcus.denker.11.mcz
System-marcus.denker.140.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-al.32.mcz
ToolBuilder-Kernel-marcus.denker.19.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-NorbertHartl.22.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-marcus.denker.94.mcz
Traits-marcus.denker.236.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'marcus.denker 8/18/2008 20:40'!
script151

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-md.14.mcz
Collections-marcus.denker.99.mcz
CollectionsTests-marcus.denker.68.mcz
Compiler-marcus.denker.65.mcz
Compression-md.13.mcz
EToys-marcus.denker.28.mcz
Exceptions-stephane.ducasse.11.mcz
Files-marcus.denker.27.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-marcus.denker.54.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-marcus.denker.183.mcz
KernelTests-al.70.mcz
Monticello-marcus.denker.324.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-marcus.denker.143.mcz
MorphicExtras-marcus.denker.47.mcz
MorphicTests-marcus.denker.8.mcz
Multilingual-marcus.denker.31.mcz
Network-AlexandreBergel.42.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.13.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-marcus.denker.88.mcz
SMLoader-gk.37.mcz
ST80-NorbertHartl.44.mcz
SUnit-marcus.denker.34.mcz
SUnitGUI-sd.7.mcz
Services-Base-marcus.denker.35.mcz
SmaCC-damiencassou.10.mcz
Sound-marcus.denker.11.mcz
System-marcus.denker.140.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-al.32.mcz
ToolBuilder-Kernel-marcus.denker.19.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-NorbertHartl.22.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-marcus.denker.94.mcz
Traits-marcus.denker.236.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'marcus.denker 8/18/2008 20:42'!
script152

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-md.14.mcz
Collections-marcus.denker.99.mcz
CollectionsTests-marcus.denker.68.mcz
Compiler-marcus.denker.65.mcz
Compression-md.13.mcz
EToys-marcus.denker.28.mcz
Exceptions-stephane.ducasse.11.mcz
Files-marcus.denker.27.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-marcus.denker.54.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-marcus.denker.183.mcz
KernelTests-al.70.mcz
Monticello-marcus.denker.324.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-marcus.denker.143.mcz
MorphicExtras-marcus.denker.47.mcz
MorphicTests-marcus.denker.8.mcz
Multilingual-marcus.denker.31.mcz
Network-AlexandreBergel.42.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.13.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-marcus.denker.88.mcz
SMLoader-gk.37.mcz
ST80-NorbertHartl.44.mcz
SUnit-marcus.denker.34.mcz
SUnitGUI-sd.7.mcz
Services-Base-marcus.denker.35.mcz
SmaCC-damiencassou.10.mcz
Sound-marcus.denker.11.mcz
System-marcus.denker.140.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-al.32.mcz
ToolBuilder-Kernel-marcus.denker.19.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-NorbertHartl.22.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-marcus.denker.94.mcz
Traits-marcus.denker.236.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'marcus.denker 8/19/2008 12:37'!
script153

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-md.14.mcz
Collections-marcus.denker.99.mcz
CollectionsTests-marcus.denker.68.mcz
Compiler-marcus.denker.65.mcz
Compression-md.13.mcz
EToys-marcus.denker.29.mcz
Exceptions-stephane.ducasse.11.mcz
Files-marcus.denker.27.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-marcus.denker.9.mcz
Graphics-marcus.denker.54.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-marcus.denker.183.mcz
KernelTests-al.70.mcz
Monticello-marcus.denker.324.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-marcus.denker.144.mcz
MorphicExtras-marcus.denker.48.mcz
MorphicTests-marcus.denker.8.mcz
Multilingual-marcus.denker.31.mcz
Network-AlexandreBergel.42.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.13.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-marcus.denker.88.mcz
SMLoader-gk.37.mcz
ST80-NorbertHartl.44.mcz
SUnit-marcus.denker.34.mcz
SUnitGUI-sd.7.mcz
Services-Base-marcus.denker.35.mcz
SmaCC-damiencassou.10.mcz
Sound-marcus.denker.11.mcz
System-marcus.denker.141.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-marcus.denker.33.mcz
ToolBuilder-Kernel-marcus.denker.19.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-NorbertHartl.22.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-marcus.denker.94.mcz
Traits-marcus.denker.236.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'marcus.denker 8/21/2008 10:56'!
script154

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-md.14.mcz
Collections-marcus.denker.99.mcz
CollectionsTests-marcus.denker.68.mcz
Compiler-marcus.denker.65.mcz
Compression-md.13.mcz
EToys-marcus.denker.29.mcz
Exceptions-stephane.ducasse.11.mcz
Files-marcus.denker.27.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-marcus.denker.9.mcz
Graphics-marcus.denker.54.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-marcus.denker.184.mcz
KernelTests-al.70.mcz
Monticello-marcus.denker.324.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-marcus.denker.144.mcz
MorphicExtras-marcus.denker.48.mcz
MorphicTests-marcus.denker.8.mcz
Multilingual-marcus.denker.31.mcz
Network-AlexandreBergel.42.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.13.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-marcus.denker.88.mcz
SMLoader-gk.37.mcz
ST80-NorbertHartl.44.mcz
SUnit-marcus.denker.34.mcz
SUnitGUI-sd.7.mcz
Services-Base-marcus.denker.35.mcz
SmaCC-damiencassou.10.mcz
Sound-marcus.denker.11.mcz
System-marcus.denker.141.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-marcus.denker.33.mcz
ToolBuilder-Kernel-marcus.denker.19.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-NorbertHartl.22.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-marcus.denker.95.mcz
Traits-marcus.denker.236.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'marcus.denker 8/25/2008 09:33'!
script155

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-md.14.mcz
Collections-marcus.denker.99.mcz
CollectionsTests-marcus.denker.68.mcz
Compiler-marcus.denker.65.mcz
Compression-md.13.mcz
EToys-marcus.denker.29.mcz
Exceptions-stephane.ducasse.11.mcz
Files-marcus.denker.27.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-marcus.denker.9.mcz
Graphics-marcus.denker.54.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-marcus.denker.185.mcz
KernelTests-marcus.denker.71.mcz
Monticello-marcus.denker.324.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-marcus.denker.145.mcz
MorphicExtras-marcus.denker.49.mcz
MorphicTests-marcus.denker.8.mcz
Multilingual-marcus.denker.31.mcz
Network-AlexandreBergel.42.mcz
NetworkTests-sd.10.mcz
PackageInfo-marcus.denker.14.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-marcus.denker.88.mcz
SMLoader-gk.37.mcz
ST80-NorbertHartl.44.mcz
SUnit-marcus.denker.34.mcz
SUnitGUI-marcus.denker.8.mcz
Services-Base-marcus.denker.35.mcz
SmaCC-damiencassou.10.mcz
Sound-marcus.denker.12.mcz
System-marcus.denker.142.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-marcus.denker.33.mcz
ToolBuilder-Kernel-marcus.denker.19.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-NorbertHartl.22.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-marcus.denker.96.mcz
Traits-marcus.denker.237.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'marcus.denker 8/25/2008 14:52'!
script156

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-md.14.mcz
Collections-marcus.denker.100.mcz
CollectionsTests-marcus.denker.69.mcz
Compiler-marcus.denker.66.mcz
Compression-md.13.mcz
EToys-marcus.denker.29.mcz
Exceptions-stephane.ducasse.11.mcz
Files-marcus.denker.27.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-marcus.denker.9.mcz
Graphics-marcus.denker.54.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-marcus.denker.186.mcz
KernelTests-marcus.denker.71.mcz
Monticello-marcus.denker.324.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-marcus.denker.146.mcz
MorphicExtras-marcus.denker.49.mcz
MorphicTests-marcus.denker.8.mcz
Multilingual-marcus.denker.31.mcz
Network-AlexandreBergel.42.mcz
NetworkTests-sd.10.mcz
PackageInfo-marcus.denker.14.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-marcus.denker.88.mcz
SMLoader-gk.37.mcz
ST80-NorbertHartl.44.mcz
SUnit-marcus.denker.34.mcz
SUnitGUI-marcus.denker.8.mcz
Services-Base-marcus.denker.35.mcz
SmaCC-damiencassou.10.mcz
Sound-marcus.denker.12.mcz
System-marcus.denker.142.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-marcus.denker.33.mcz
ToolBuilder-Kernel-marcus.denker.19.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-NorbertHartl.22.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-marcus.denker.97.mcz
Traits-marcus.denker.238.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 9/10/2008 21:38'!
script157

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-md.14.mcz
Collections-stephane.ducasse.101.mcz
CollectionsTests-stephane.ducasse.70.mcz
Compiler-marcus.denker.66.mcz
Compression-md.13.mcz
EToys-marcus.denker.29.mcz
Exceptions-stephane.ducasse.11.mcz
Files-marcus.denker.27.mcz
FlexibleVocabularies-marcus.denker.9.mcz
Graphics-marcus.denker.54.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-marcus.denker.186.mcz
KernelTests-marcus.denker.71.mcz
Monticello-marcus.denker.324.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-marcus.denker.146.mcz
MorphicExtras-marcus.denker.49.mcz
MorphicTests-marcus.denker.8.mcz
Multilingual-marcus.denker.31.mcz
Network-AlexandreBergel.42.mcz
NetworkTests-sd.10.mcz
PackageInfo-marcus.denker.14.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-marcus.denker.88.mcz
SMLoader-gk.37.mcz
ST80-NorbertHartl.44.mcz
SUnit-marcus.denker.34.mcz
SUnitGUI-marcus.denker.8.mcz
Services-Base-marcus.denker.35.mcz
SmaCC-damiencassou.10.mcz
Sound-marcus.denker.12.mcz
System-stephane.ducasse.143.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-marcus.denker.33.mcz
ToolBuilder-Kernel-marcus.denker.19.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-NorbertHartl.22.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-marcus.denker.97.mcz
Traits-marcus.denker.238.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 9/11/2008 12:03'!
script158

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-md.14.mcz
Collections-stephane.ducasse.101.mcz
CollectionsTests-stephane.ducasse.70.mcz
Compiler-stephane.ducasse.69.mcz
Compression-md.13.mcz
EToys-stephane.ducasse.31.mcz
Exceptions-stephane.ducasse.11.mcz
Files-marcus.denker.27.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-marcus.denker.9.mcz
Graphics-marcus.denker.54.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-stephane.ducasse.189.mcz
KernelTests-marcus.denker.71.mcz
Monticello-marcus.denker.324.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.148.mcz
MorphicExtras-marcus.denker.49.mcz
MorphicTests-marcus.denker.8.mcz
Multilingual-marcus.denker.31.mcz
Network-AlexandreBergel.42.mcz
NetworkTests-sd.10.mcz
PackageInfo-marcus.denker.14.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-marcus.denker.88.mcz
SMLoader-gk.37.mcz
ST80-NorbertHartl.44.mcz
SUnit-marcus.denker.34.mcz
SUnitGUI-marcus.denker.8.mcz
Services-Base-marcus.denker.35.mcz
SmaCC-damiencassou.10.mcz
Sound-marcus.denker.12.mcz
System-stephane.ducasse.143.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-marcus.denker.33.mcz
ToolBuilder-Kernel-marcus.denker.19.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-NorbertHartl.22.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-marcus.denker.97.mcz
Traits-marcus.denker.238.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 9/12/2008 15:38'!
script159

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-md.14.mcz
Collections-stephane.ducasse.101.mcz
CollectionsTests-stephane.ducasse.70.mcz
Compiler-stephane.ducasse.69.mcz
Compression-md.13.mcz
EToys-stephane.ducasse.31.mcz
Exceptions-stephane.ducasse.11.mcz
Files-marcus.denker.27.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-marcus.denker.9.mcz
Graphics-marcus.denker.54.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-stephane.ducasse.190.mcz
KernelTests-marcus.denker.71.mcz
Monticello-marcus.denker.324.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.148.mcz
MorphicExtras-marcus.denker.49.mcz
MorphicTests-marcus.denker.8.mcz
Multilingual-marcus.denker.31.mcz
Network-AlexandreBergel.42.mcz
NetworkTests-sd.10.mcz
PackageInfo-marcus.denker.14.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-marcus.denker.88.mcz
SMLoader-gk.37.mcz
ST80-NorbertHartl.44.mcz
SUnit-marcus.denker.34.mcz
SUnitGUI-marcus.denker.8.mcz
Services-Base-marcus.denker.35.mcz
SmaCC-damiencassou.10.mcz
Sound-marcus.denker.12.mcz
System-stephane.ducasse.143.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-marcus.denker.33.mcz
ToolBuilder-Kernel-marcus.denker.19.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-NorbertHartl.22.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-marcus.denker.97.mcz
Traits-stephane.ducasse.239.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 9/12/2008 19:53'!
script160

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-md.14.mcz
Collections-stephane.ducasse.101.mcz
CollectionsTests-stephane.ducasse.70.mcz
Compiler-stephane.ducasse.69.mcz
Compression-md.13.mcz
EToys-stephane.ducasse.31.mcz
Exceptions-stephane.ducasse.11.mcz
Files-marcus.denker.27.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-marcus.denker.9.mcz
Graphics-marcus.denker.54.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-stephane.ducasse.191.mcz
KernelTests-stephane.ducasse.72.mcz
Monticello-marcus.denker.324.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.148.mcz
MorphicExtras-marcus.denker.49.mcz
MorphicTests-marcus.denker.8.mcz
Multilingual-marcus.denker.31.mcz
Network-AlexandreBergel.42.mcz
NetworkTests-sd.10.mcz
PackageInfo-stephane.ducasse.16.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-marcus.denker.88.mcz
SMLoader-gk.37.mcz
ST80-NorbertHartl.44.mcz
SUnit-marcus.denker.34.mcz
SUnitGUI-marcus.denker.8.mcz
Services-Base-marcus.denker.35.mcz
SmaCC-damiencassou.10.mcz
Sound-marcus.denker.12.mcz
System-stephane.ducasse.144.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-marcus.denker.33.mcz
ToolBuilder-Kernel-marcus.denker.19.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-NorbertHartl.22.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.99.mcz
Traits-stephane.ducasse.239.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 9/13/2008 20:13'!
script161

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-md.14.mcz
Collections-stephane.ducasse.101.mcz
CollectionsTests-stephane.ducasse.70.mcz
Compiler-stephane.ducasse.69.mcz
Compression-md.13.mcz
EToys-stephane.ducasse.31.mcz
Exceptions-stephane.ducasse.11.mcz
Files-marcus.denker.27.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-marcus.denker.9.mcz
Graphics-marcus.denker.54.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-stephane.ducasse.192.mcz
KernelTests-stephane.ducasse.72.mcz
Monticello-marcus.denker.324.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.148.mcz
MorphicExtras-marcus.denker.49.mcz
MorphicTests-marcus.denker.8.mcz
Multilingual-marcus.denker.31.mcz
Network-AlexandreBergel.42.mcz
NetworkTests-sd.10.mcz
PackageInfo-stephane.ducasse.16.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-marcus.denker.88.mcz
SMLoader-gk.37.mcz
ST80-NorbertHartl.44.mcz
SUnit-marcus.denker.34.mcz
SUnitGUI-marcus.denker.8.mcz
Services-Base-marcus.denker.35.mcz
SmaCC-damiencassou.10.mcz
Sound-marcus.denker.12.mcz
System-stephane.ducasse.144.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-marcus.denker.33.mcz
ToolBuilder-Kernel-marcus.denker.19.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-NorbertHartl.22.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.99.mcz
Traits-stephane.ducasse.239.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 9/13/2008 20:42'!
script162

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-md.14.mcz
Collections-stephane.ducasse.102.mcz
CollectionsTests-stephane.ducasse.70.mcz
Compiler-stephane.ducasse.69.mcz
Compression-md.13.mcz
EToys-stephane.ducasse.31.mcz
Exceptions-stephane.ducasse.11.mcz
Files-marcus.denker.27.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-marcus.denker.9.mcz
Graphics-marcus.denker.54.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-stephane.ducasse.193.mcz
KernelTests-stephane.ducasse.72.mcz
Monticello-marcus.denker.324.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.148.mcz
MorphicExtras-marcus.denker.49.mcz
MorphicTests-marcus.denker.8.mcz
Multilingual-marcus.denker.31.mcz
Network-AlexandreBergel.42.mcz
NetworkTests-sd.10.mcz
PackageInfo-stephane.ducasse.16.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-marcus.denker.88.mcz
SMLoader-gk.37.mcz
ST80-NorbertHartl.44.mcz
SUnit-marcus.denker.34.mcz
SUnitGUI-marcus.denker.8.mcz
Services-Base-marcus.denker.35.mcz
SmaCC-damiencassou.10.mcz
Sound-marcus.denker.12.mcz
System-stephane.ducasse.144.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-marcus.denker.33.mcz
ToolBuilder-Kernel-marcus.denker.19.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-NorbertHartl.22.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.99.mcz
Traits-stephane.ducasse.239.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'marcus.denker 9/14/2008 19:36'!
script163

	| names|
names := '39Deprecated-marcus.denker.14.mcz
Balloon-md.14.mcz
Collections-marcus.denker.103.mcz
CollectionsTests-stephane.ducasse.70.mcz
Compiler-stephane.ducasse.69.mcz
Compression-marcus.denker.14.mcz
EToys-marcus.denker.32.mcz
Exceptions-stephane.ducasse.11.mcz
Files-marcus.denker.27.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-marcus.denker.9.mcz
Graphics-marcus.denker.55.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-marcus.denker.194.mcz
KernelTests-stephane.ducasse.72.mcz
Monticello-marcus.denker.324.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-marcus.denker.149.mcz
MorphicExtras-marcus.denker.50.mcz
MorphicTests-marcus.denker.8.mcz
Multilingual-marcus.denker.32.mcz
Network-AlexandreBergel.42.mcz
NetworkTests-sd.10.mcz
PackageInfo-stephane.ducasse.16.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-marcus.denker.88.mcz
SMLoader-gk.37.mcz
ST80-NorbertHartl.44.mcz
SUnit-marcus.denker.34.mcz
SUnitGUI-marcus.denker.8.mcz
Services-Base-marcus.denker.35.mcz
SmaCC-damiencassou.10.mcz
Sound-marcus.denker.13.mcz
System-marcus.denker.145.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-marcus.denker.34.mcz
ToolBuilder-Kernel-marcus.denker.19.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-marcus.denker.23.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.99.mcz
Traits-marcus.denker.240.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'marcus.denker 9/14/2008 23:31'!
script164

	| names|
names := '39Deprecated-marcus.denker.14.mcz
Balloon-md.14.mcz
Collections-marcus.denker.104.mcz
CollectionsTests-marcus.denker.71.mcz
Compiler-stephane.ducasse.69.mcz
Compression-marcus.denker.15.mcz
EToys-marcus.denker.33.mcz
Exceptions-stephane.ducasse.11.mcz
Files-marcus.denker.27.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-marcus.denker.9.mcz
Graphics-marcus.denker.56.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-marcus.denker.195.mcz
KernelTests-marcus.denker.73.mcz
Monticello-marcus.denker.324.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-marcus.denker.150.mcz
MorphicExtras-marcus.denker.50.mcz
MorphicTests-marcus.denker.8.mcz
Multilingual-marcus.denker.33.mcz
Network-marcus.denker.43.mcz
NetworkTests-sd.10.mcz
PackageInfo-stephane.ducasse.16.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-marcus.denker.88.mcz
SMLoader-gk.37.mcz
ST80-marcus.denker.45.mcz
SUnit-marcus.denker.34.mcz
SUnitGUI-marcus.denker.8.mcz
Services-Base-marcus.denker.35.mcz
SmaCC-damiencassou.10.mcz
Sound-marcus.denker.13.mcz
System-marcus.denker.146.mcz
SystemChangeNotification-Tests-marcus.denker.7.mcz
Tests-marcus.denker.34.mcz
ToolBuilder-Kernel-marcus.denker.19.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-marcus.denker.23.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.99.mcz
Traits-marcus.denker.240.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'marcus.denker 9/18/2008 11:27'!
script165

	| names|
names := '39Deprecated-marcus.denker.14.mcz
Balloon-md.14.mcz
Collections-marcus.denker.105.mcz
CollectionsTests-marcus.denker.72.mcz
Compiler-stephane.ducasse.69.mcz
Compression-marcus.denker.15.mcz
EToys-marcus.denker.33.mcz
Exceptions-stephane.ducasse.11.mcz
Files-marcus.denker.27.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-marcus.denker.9.mcz
Graphics-marcus.denker.57.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-marcus.denker.196.mcz
KernelTests-marcus.denker.73.mcz
Monticello-marcus.denker.324.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-marcus.denker.151.mcz
MorphicExtras-marcus.denker.50.mcz
MorphicTests-marcus.denker.8.mcz
Multilingual-marcus.denker.34.mcz
Network-marcus.denker.43.mcz
NetworkTests-sd.10.mcz
PackageInfo-stephane.ducasse.16.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-sd.13.mcz
SMBase-marcus.denker.88.mcz
SMLoader-gk.37.mcz
ST80-marcus.denker.45.mcz
SUnit-marcus.denker.34.mcz
SUnitGUI-marcus.denker.8.mcz
Services-Base-marcus.denker.35.mcz
SmaCC-damiencassou.10.mcz
Sound-marcus.denker.13.mcz
System-marcus.denker.146.mcz
SystemChangeNotification-Tests-marcus.denker.8.mcz
Tests-marcus.denker.35.mcz
ToolBuilder-Kernel-marcus.denker.19.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-marcus.denker.23.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.99.mcz
Traits-marcus.denker.241.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'marcus.denker 9/21/2008 20:15'!
script166

	| names|
names := '39Deprecated-marcus.denker.14.mcz
Balloon-md.14.mcz
Collections-marcus.denker.106.mcz
CollectionsTests-marcus.denker.72.mcz
Compiler-stephane.ducasse.69.mcz
Compression-marcus.denker.15.mcz
EToys-marcus.denker.34.mcz
Exceptions-stephane.ducasse.11.mcz
Files-marcus.denker.28.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-marcus.denker.10.mcz
Graphics-marcus.denker.58.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-marcus.denker.197.mcz
KernelTests-marcus.denker.73.mcz
Monticello-marcus.denker.324.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-marcus.denker.152.mcz
MorphicExtras-marcus.denker.51.mcz
MorphicTests-marcus.denker.8.mcz
Multilingual-marcus.denker.34.mcz
Network-marcus.denker.43.mcz
NetworkTests-sd.10.mcz
PackageInfo-stephane.ducasse.16.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-marcus.denker.14.mcz
SMBase-marcus.denker.88.mcz
SMLoader-gk.37.mcz
ST80-marcus.denker.46.mcz
SUnit-marcus.denker.34.mcz
SUnitGUI-marcus.denker.8.mcz
Services-Base-marcus.denker.35.mcz
SmaCC-damiencassou.10.mcz
Sound-marcus.denker.13.mcz
System-marcus.denker.147.mcz
SystemChangeNotification-Tests-marcus.denker.8.mcz
Tests-marcus.denker.35.mcz
ToolBuilder-Kernel-marcus.denker.19.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-marcus.denker.23.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-marcus.denker.100.mcz
Traits-marcus.denker.241.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 9/24/2008 21:57'!
script167

	| names|
names := '39Deprecated-marcus.denker.14.mcz
Balloon-md.14.mcz
Collections-marcus.denker.106.mcz
CollectionsTests-marcus.denker.72.mcz
Compiler-stephane.ducasse.69.mcz
Compression-marcus.denker.15.mcz
EToys-marcus.denker.34.mcz
Exceptions-stephane.ducasse.11.mcz
Files-marcus.denker.28.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-marcus.denker.10.mcz
Graphics-marcus.denker.58.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-marcus.denker.197.mcz
KernelTests-marcus.denker.73.mcz
Monticello-marcus.denker.324.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.153.mcz
MorphicExtras-stephane.ducasse.52.mcz
MorphicTests-marcus.denker.8.mcz
Multilingual-marcus.denker.34.mcz
Network-marcus.denker.43.mcz
NetworkTests-sd.10.mcz
PackageInfo-stephane.ducasse.16.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-marcus.denker.14.mcz
SMBase-marcus.denker.88.mcz
SMLoader-gk.37.mcz
ST80-marcus.denker.46.mcz
SUnit-marcus.denker.34.mcz
SUnitGUI-marcus.denker.8.mcz
Services-Base-marcus.denker.35.mcz
SmaCC-damiencassou.10.mcz
Sound-marcus.denker.13.mcz
System-marcus.denker.147.mcz
SystemChangeNotification-Tests-marcus.denker.8.mcz
Tests-marcus.denker.35.mcz
ToolBuilder-Kernel-marcus.denker.19.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-marcus.denker.23.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-marcus.denker.100.mcz
Traits-marcus.denker.241.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 9/25/2008 14:46'!
script168

	| names|
names := '39Deprecated-marcus.denker.14.mcz
Balloon-md.14.mcz
Collections-marcus.denker.106.mcz
CollectionsTests-marcus.denker.72.mcz
Compiler-stephane.ducasse.69.mcz
Compression-marcus.denker.15.mcz
EToys-marcus.denker.34.mcz
Exceptions-stephane.ducasse.11.mcz
Files-marcus.denker.28.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-marcus.denker.10.mcz
Graphics-marcus.denker.58.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-marcus.denker.197.mcz
KernelTests-marcus.denker.73.mcz
Monticello-marcus.denker.324.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.154.mcz
MorphicExtras-stephane.ducasse.52.mcz
MorphicTests-marcus.denker.8.mcz
Multilingual-marcus.denker.34.mcz
Network-marcus.denker.43.mcz
NetworkTests-sd.10.mcz
PackageInfo-stephane.ducasse.16.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-marcus.denker.14.mcz
SMBase-marcus.denker.88.mcz
SMLoader-gk.37.mcz
ST80-marcus.denker.46.mcz
SUnit-marcus.denker.34.mcz
SUnitGUI-marcus.denker.8.mcz
Services-Base-marcus.denker.35.mcz
SmaCC-damiencassou.10.mcz
Sound-marcus.denker.13.mcz
System-stephane.ducasse.148.mcz
SystemChangeNotification-Tests-marcus.denker.8.mcz
Tests-marcus.denker.35.mcz
ToolBuilder-Kernel-marcus.denker.19.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-marcus.denker.23.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-marcus.denker.100.mcz
Traits-marcus.denker.241.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 9/25/2008 16:52'!
script169

	| names|
names := '39Deprecated-marcus.denker.14.mcz
Balloon-md.14.mcz
Collections-marcus.denker.106.mcz
CollectionsTests-marcus.denker.72.mcz
Compiler-stephane.ducasse.69.mcz
Compression-marcus.denker.15.mcz
EToys-marcus.denker.34.mcz
Exceptions-stephane.ducasse.11.mcz
Files-marcus.denker.28.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-marcus.denker.10.mcz
Graphics-marcus.denker.58.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-marcus.denker.197.mcz
KernelTests-marcus.denker.73.mcz
Monticello-marcus.denker.324.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.154.mcz
MorphicExtras-stephane.ducasse.52.mcz
MorphicTests-marcus.denker.8.mcz
Multilingual-marcus.denker.34.mcz
Network-marcus.denker.43.mcz
NetworkTests-sd.10.mcz
PackageInfo-stephane.ducasse.16.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-marcus.denker.14.mcz
SMBase-marcus.denker.88.mcz
SMLoader-gk.37.mcz
ST80-marcus.denker.46.mcz
SUnit-marcus.denker.34.mcz
SUnitGUI-marcus.denker.8.mcz
Services-Base-marcus.denker.35.mcz
SmaCC-damiencassou.10.mcz
Sound-marcus.denker.13.mcz
System-stephane.ducasse.148.mcz
SystemChangeNotification-Tests-marcus.denker.8.mcz
Tests-marcus.denker.35.mcz
ToolBuilder-Kernel-marcus.denker.19.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-marcus.denker.23.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.102.mcz
Traits-marcus.denker.241.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 9/25/2008 17:23'!
script170

	| names|
names := '39Deprecated-marcus.denker.14.mcz
Balloon-md.14.mcz
Collections-marcus.denker.106.mcz
CollectionsTests-marcus.denker.72.mcz
Compiler-stephane.ducasse.69.mcz
Compression-marcus.denker.15.mcz
EToys-stephane.ducasse.35.mcz
Exceptions-stephane.ducasse.11.mcz
Files-marcus.denker.28.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-marcus.denker.10.mcz
Graphics-marcus.denker.58.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-stephane.ducasse.198.mcz
KernelTests-marcus.denker.73.mcz
Monticello-marcus.denker.324.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.155.mcz
MorphicExtras-stephane.ducasse.52.mcz
MorphicTests-marcus.denker.8.mcz
Multilingual-marcus.denker.34.mcz
Network-marcus.denker.43.mcz
NetworkTests-sd.10.mcz
PackageInfo-stephane.ducasse.16.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-marcus.denker.14.mcz
SMBase-marcus.denker.88.mcz
SMLoader-gk.37.mcz
ST80-marcus.denker.46.mcz
SUnit-marcus.denker.34.mcz
SUnitGUI-marcus.denker.8.mcz
Services-Base-marcus.denker.35.mcz
SmaCC-damiencassou.10.mcz
Sound-marcus.denker.13.mcz
System-stephane.ducasse.148.mcz
SystemChangeNotification-Tests-marcus.denker.8.mcz
Tests-marcus.denker.35.mcz
ToolBuilder-Kernel-marcus.denker.19.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-marcus.denker.23.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.103.mcz
Traits-marcus.denker.241.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 9/25/2008 17:37'!
script171

	| names|
names := '39Deprecated-marcus.denker.14.mcz
Balloon-md.14.mcz
Collections-marcus.denker.106.mcz
CollectionsTests-marcus.denker.72.mcz
Compiler-stephane.ducasse.69.mcz
Compression-marcus.denker.15.mcz
EToys-stephane.ducasse.36.mcz
Exceptions-stephane.ducasse.11.mcz
Files-marcus.denker.28.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-marcus.denker.10.mcz
Graphics-marcus.denker.58.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-stephane.ducasse.198.mcz
KernelTests-marcus.denker.73.mcz
Monticello-marcus.denker.324.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.156.mcz
MorphicExtras-stephane.ducasse.52.mcz
MorphicTests-marcus.denker.8.mcz
Multilingual-marcus.denker.34.mcz
Network-marcus.denker.43.mcz
NetworkTests-sd.10.mcz
PackageInfo-stephane.ducasse.16.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-marcus.denker.14.mcz
SMBase-marcus.denker.88.mcz
SMLoader-gk.37.mcz
ST80-marcus.denker.46.mcz
SUnit-marcus.denker.34.mcz
SUnitGUI-marcus.denker.8.mcz
Services-Base-marcus.denker.35.mcz
SmaCC-damiencassou.10.mcz
Sound-marcus.denker.13.mcz
System-stephane.ducasse.148.mcz
SystemChangeNotification-Tests-marcus.denker.8.mcz
Tests-marcus.denker.35.mcz
ToolBuilder-Kernel-marcus.denker.19.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-marcus.denker.23.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.104.mcz
Traits-marcus.denker.241.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 9/25/2008 17:56'!
script172

	| names|
names := '39Deprecated-marcus.denker.14.mcz
Balloon-md.14.mcz
Collections-marcus.denker.106.mcz
CollectionsTests-marcus.denker.72.mcz
Compiler-stephane.ducasse.69.mcz
Compression-marcus.denker.15.mcz
EToys-stephane.ducasse.36.mcz
Exceptions-stephane.ducasse.11.mcz
Files-marcus.denker.28.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-marcus.denker.10.mcz
Graphics-marcus.denker.58.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-stephane.ducasse.199.mcz
KernelTests-marcus.denker.73.mcz
Monticello-marcus.denker.324.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.156.mcz
MorphicExtras-stephane.ducasse.52.mcz
MorphicTests-marcus.denker.8.mcz
Multilingual-marcus.denker.34.mcz
Network-marcus.denker.43.mcz
NetworkTests-sd.10.mcz
PackageInfo-stephane.ducasse.16.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-marcus.denker.14.mcz
SMBase-marcus.denker.88.mcz
SMLoader-gk.37.mcz
ST80-marcus.denker.46.mcz
SUnit-marcus.denker.34.mcz
SUnitGUI-marcus.denker.8.mcz
Services-Base-marcus.denker.35.mcz
SmaCC-damiencassou.10.mcz
Sound-marcus.denker.13.mcz
System-stephane.ducasse.149.mcz
SystemChangeNotification-Tests-marcus.denker.8.mcz
Tests-marcus.denker.35.mcz
ToolBuilder-Kernel-marcus.denker.19.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-marcus.denker.23.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.104.mcz
Traits-marcus.denker.241.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 9/25/2008 18:18'!
script173

	| names|
names := '39Deprecated-marcus.denker.14.mcz
Balloon-md.14.mcz
Collections-marcus.denker.106.mcz
CollectionsTests-marcus.denker.72.mcz
Compiler-stephane.ducasse.69.mcz
Compression-marcus.denker.15.mcz
EToys-stephane.ducasse.36.mcz
Exceptions-stephane.ducasse.11.mcz
Files-marcus.denker.28.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-marcus.denker.10.mcz
Graphics-marcus.denker.58.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-stephane.ducasse.199.mcz
KernelTests-marcus.denker.73.mcz
Monticello-marcus.denker.324.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.157.mcz
MorphicExtras-stephane.ducasse.52.mcz
MorphicTests-marcus.denker.8.mcz
Multilingual-marcus.denker.34.mcz
Network-marcus.denker.43.mcz
NetworkTests-sd.10.mcz
PackageInfo-stephane.ducasse.16.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-marcus.denker.14.mcz
SMBase-marcus.denker.88.mcz
SMLoader-gk.37.mcz
ST80-marcus.denker.46.mcz
SUnit-marcus.denker.34.mcz
SUnitGUI-marcus.denker.8.mcz
Services-Base-marcus.denker.35.mcz
SmaCC-damiencassou.10.mcz
Sound-marcus.denker.13.mcz
System-stephane.ducasse.150.mcz
SystemChangeNotification-Tests-marcus.denker.8.mcz
Tests-marcus.denker.35.mcz
ToolBuilder-Kernel-marcus.denker.19.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-marcus.denker.23.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.105.mcz
Traits-marcus.denker.241.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'stephane.ducasse 9/28/2008 17:29'!
script174

	| names|
names := '39Deprecated-marcus.denker.14.mcz
Balloon-md.14.mcz
Collections-marcus.denker.106.mcz
CollectionsTests-marcus.denker.72.mcz
Compiler-stephane.ducasse.69.mcz
Compression-marcus.denker.15.mcz
EToys-stephane.ducasse.36.mcz
Exceptions-stephane.ducasse.11.mcz
Files-marcus.denker.28.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-marcus.denker.10.mcz
Graphics-marcus.denker.58.mcz
GraphicsTests-NorbertHartl.15.mcz
Kernel-stephane.ducasse.199.mcz
KernelTests-stephane.ducasse.74.mcz
Monticello-marcus.denker.324.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.158.mcz
MorphicExtras-stephane.ducasse.53.mcz
MorphicTests-marcus.denker.8.mcz
Multilingual-stephane.ducasse.36.mcz
Network-marcus.denker.43.mcz
NetworkTests-sd.10.mcz
PackageInfo-stephane.ducasse.16.mcz
.mcz
Pinesoft-Removals-EToys-stephane.ducasse.1.mcz
PreferenceBrowser-alain.plantec.33.mcz
Protocols-marcus.denker.14.mcz
SMBase-marcus.denker.88.mcz
SMLoader-gk.37.mcz
ST80-marcus.denker.46.mcz
SUnit-marcus.denker.34.mcz
SUnitGUI-marcus.denker.8.mcz
Services-Base-marcus.denker.35.mcz
SmaCC-damiencassou.10.mcz
Sound-marcus.denker.13.mcz
System-stephane.ducasse.150.mcz
SystemChangeNotification-Tests-marcus.denker.8.mcz
Tests-marcus.denker.35.mcz
ToolBuilder-Kernel-marcus.denker.19.mcz
ToolBuilder-MVC-stephane.ducasse.14.mcz
ToolBuilder-Morphic-marcus.denker.23.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.106.mcz
Traits-marcus.denker.241.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'private' stamp: 'sd 3/24/2008 16:16'!
setToRepositoriesPassword: aPassword to: aUser
	"self new setToRepositoriesPassword: '' to: ''"
	
	MCRepositoryGroup instVarNamed: 'default' put: nil. 
	self removeAllRepositories: {self repository locationWithTrailingSlash . self inboxRepository locationWithTrailingSlash}. 
	self repository password: aPassword.
	self repository user: aUser.
	self inboxRepository password: aPassword.
	self inboxRepository user: aUser.
	self  addHomeRepositoryToAllPackages.! !

!ScriptLoader methodsFor: 'accessing' stamp: 'dc 3/30/2008 19:53'!
universalInstaller
	(Smalltalk at: #UUniverse ifAbsent: [self installingUniverse]).
	^ self installer! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 8/13/2006 19:46'!
unloadFFI
	"ScriptLoader new unloadFFI"
	
	| copies namesOfpackagesToUnload |
	namesOfpackagesToUnload := #('*FFI*'). 
	copies := MCWorkingCopy allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ].
	(copies select: [:each | namesOfpackagesToUnload anySatisfy: [:ea | ea match: each package name ]])
		do: [:z | z unload].
	Smalltalk recreateSpecialObjectsArray! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 7/15/2006 20:39'!
unloadPackages
	"ScriptLoader new unloadPackages"
	
	| copies namesOfpackagesToUnload |
	namesOfpackagesToUnload := self packagesToUnload. 
	copies := MCWorkingCopy allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ].
	(copies select: [:each | namesOfpackagesToUnload anySatisfy: [:ea | ea match: each package name ]])
		do: [:z | z unload].! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 5/16/2008 22:11'!
update10000
	"self new update10000"
	
	self sapphireToPharoRepository.
	Transcript show: 'Unload Speech' ; cr. 
	(MCWorkingCopy forPackage: (MCPackage new name: 'Speech')) unload.
	SystemBrowser removeObsolete.
	SystemOrganization removeCategoriesMatching: 'Speech*'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
	
	
	
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 3/1/2008 15:05'!
update10001
	"self new update10001"
	
	Transcript show: 'Unload StarSqueak' ; cr. 
	(MCWorkingCopy forPackage: (MCPackage new name: 'StarSqueak')) unload.
	SystemBrowser removeObsolete.
	SystemOrganization removeCategoriesMatching: 'StarSqueak*'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
	
	
	
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 3/1/2008 15:05'!
update10003
	"self new update10003"
	
	Transcript show: 'Unload Flash' ; cr. 
	(MCWorkingCopy forPackage: (MCPackage new name: 'Flash')) unload.
	SystemBrowser removeObsolete.
	SystemOrganization removeCategoriesMatching: 'Flash*'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
	
	
	
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 3/1/2008 15:05'!
update10004
	"self new update10004"
	
	Transcript show: 'Unload Movies' ; cr. 
	(MCWorkingCopy forPackage: (MCPackage new name: 'Movies')) unload.
	SystemBrowser removeObsolete.
	SystemOrganization removeCategoriesMatching: 'Movies*'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
	
	
	
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 3/1/2008 15:05'!
update10006
	"self new update10006"
	
	Transcript show: 'Unload Protocols' ; cr. 
	(MCWorkingCopy forPackage: (MCPackage new name: 'FlexibleVocabularies-Info')) unload.
	SystemBrowser removeObsolete.
	SystemOrganization removeCategoriesMatching: 'FlexibleVocabularies-Info*'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
	
	
	
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 3/12/2008 15:28'!
update10007
	"self new update10007"

	self script100.
	"normally should do nothing"
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
	
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 3/12/2008 15:54'!
update10008
	"self new update10007"

	self script101.
	"normally should do nothing"
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
	
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 3/15/2008 18:03'!
update10009
	"self new update10009"

	self script102.
	self withUdpateLog: 'Added MCWorkingCopy printOn:'.
	self removeAllRepositories: 
			#('http://source.squeakfoundation.org/inbox/'
			 'http://source.squeakfoundation.org/39a/'
			 'http://source.squeakfoundation.org/Balloon/'
			 'http://source.squeakfoundation.org/Compression/'
			 'http://source.squeakfoundation.org/Graphics/'
			'http://source.squeakfoundation.org/SqueakMap/'
			'http://source.squeakfoundation.org/network/'
			  'http://source.wiresong.ca/mc/'
			 'http://www.squeaksource.com/PackageInfo/'
			 'http://www.squeaksource.com/ToolBuilder/'
				 'http://squeaksource.com/ToolBuilder/'
			  'http://source.impara.de/mc/').
	MCRepositoryGroup instVarNamed: 'default' put: nil.  
	self addHomeRepositoryToAllPackages.
	self log: 'Scriptloader cleaning'.
	self log: 'MC repository cleaning'.
	self log: 'Adding new Sapphire repository'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.

	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 8/22/2008 19:51'!
update10010
	"self new update10010"


	self withUdpateLog: 'Remove release builder package: classes were moved in scriptloader'.
	(MCWorkingCopy forPackage: (MCPackage new name: 'ReleaseBuilder')) unload.
	SystemBrowser removeObsolete.
	SystemOrganization removeCategoriesMatching: 'ReleaseBuilder*'.
	
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 3/16/2008 14:50'!
update10011
	"self new update10011"

	self script103.
	self withUdpateLog: 'Fixing underscore of Service-base'.
	self log: 'Fixing underscore kernel'.
	self log: 'Fixing underscore VersionNumber'.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 3/16/2008 15:14'!
update10012
	"self new update10012"

	self script104.
	self withUdpateLog: 'Fixing invisible in Date and DateAndTime'.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 3/16/2008 15:32'!
update10013
	"self new update10013"

	self script104.
	self withUdpateLog: 'Fixing invisible in Kernel Chronology'.
	self log: 'enhancing FixUnderscores to fix also character lf'.
	self log: 'remove FFI organization'.
	SystemOrganization removeCategoriesMatching: 'FFI*'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 3/16/2008 15:54'!
update10014
	"self new update10014"

	self script105.
	self withUdpateLog: 'Fixing invisible in Files and Exceptions'.
	self log: 'Fixing assign in Files and Exceptions'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 3/20/2008 22:04'!
update10015
	"self new update10015"

	self script106.
	self withUdpateLog: 'Fixing invisible in Collection Graphics KernelTests Network Protocols PackageInfo Sounds System Tools VersionNumber'.
	self log: 'Will not fix them in Etoys, Morphic, MorphicExtra for obvious reasons'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 3/22/2008 21:10'!
update10016
	"self new update10016"

	self script107.
	self withUdpateLog: 'Fixing - into :=  in Collection Compiler KernelTests Mutilingual Monticello PackageInfo NetworkTests Tests Sound System ToolBuilder-SUnit ToolBuilder-Morphic Tools Traits'.
	self log: 'Will not fix them in Etoys, Morphic, MorphicExtra for obvious reasons'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 3/24/2008 16:22'!
update10017
	"self new update10017"

	self script108.
	self withUdpateLog: 'Utilities informuser:during: -> UIManager default informuser:during:'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 3/28/2008 11:21'!
update10018

	"self new update10018"
	self withUdpateLog: 'Deprecating Utilities>>informDuring:'.
	self script109.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 5/10/2008 09:55'!
update10019

	"self new update10019"
	self withUdpateLog: 'Remove HTML Fileout + printout Method'.
	self script110.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'md 5/10/2008 13:08'!
update10020

	"self new update10020"
	self withUdpateLog: 'changes from Reflectivity, remove Packagepanebrowser, faster transcript'.
	self script111.
	self flushCaches.
	Preferences setPreference: #showSharedFlaps toValue: false.
	FlapTab allInstances do: [:each | each delete].
	Flaps initializeFlapsQuads.
	Flaps initializeStandardFlaps.
	Preferences setPreference: #showSharedFlaps toValue: true.
	Preferences removePreference: #browserShowsPackagePane.
	Behavior removeSelector: #hash.
	Set rehashAllSets.! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 5/10/2008 14:38'!
update10021

	"self new update10020"
	self withUdpateLog: 'scriptloader load mc silently + TTF fonts
http://bugs.squeak.org/view.php?id=6089'.
	self script112.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 5/11/2008 12:15'!
update10022
	"self new update10022"
	
	| prefs |
	self withUpdateLog: 'Lexicon and Instance Browser were not really used. We will rebuild it if necessary. Remove instanceBrowser and Lexicon + faster doOneCycleNow '.
	
	prefs := (Preferences parameterAt: #HaloSpecs ) reject: [:each | each addHandleSelector = #addViewingHandle:].
prefs := prefs reject: [:each | each addHandleSelector = #addPoohHandle:].
prefs := prefs reject: [:each | each addHandleSelector = #addTileHandle:].
Preferences setParameter: #HaloSpecs to: prefs.

	self script113.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 5/11/2008 14:22'!
update10023

	"self new update10023"
	self script114.
	self withUpdateLog: 'remove Nebrasksa audiot chat + deprecated author in Utilities'.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 5/17/2008 09:07'!
update10024
	"self new update10024"
	
	self withUpdateLog: 'Fixing Sapphire -> Pharo Squeak source Server + CS Servers'.
	self sapphireToPharoRepository.
	Utilities resetServers.
	Utilities addUpdateServer: #('pharo Updates' #('pharo.gforge.inria.fr/')).
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 5/17/2008 09:44'!
update10025
	"self new update10025"

	
	self withUpdateLog: 'Unload Nebraska '.
	self script115.
	(MCWorkingCopy forPackage: (MCPackage new name: 'Nebraska')) unload.
	SystemBrowser removeObsolete.
	SystemOrganization removeCategoriesMatching: 'Nebraska*'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 5/17/2008 09:59'!
update10026
	"self new update10026"

	self withUpdateLog: 'Fixing Author FullName  '.
	self script116.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 5/21/2008 22:31'!
update10027

	"self new update10027"
	
	self withUpdateLog: 'Lexicon merge, Better tests for rectangle, findString fix '.
	self log: 'http://bugs.squeak.org/view.php?id=3574'.
	self log: 'Remove superswiki'.
	self script117.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 5/24/2008 16:58'!
update10028

	"self new update10028"
	
	self withUpdateLog: 'Fixing MC'.
	
	self script118.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'lukas.renggli 5/27/2008 17:54'!
update10029

	"self new update10029"
	self script119.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 6/2/2008 22:51'!
update10030

	"self new update10030"
	self script120.
	self withUpdateLog: 'Fixing Delay 
	 0006834: Delay class>>timeoutSemaphore:afterMSecs: doesn t.
Description 	The implementation for Delay class>>timeoutSemaphore:afterMSecs: doesn t even use its first parameter, so it can t do what it says it does.

This method should be deprecated or removed entirely.
Additional Information 	+ tests'.
	self log: 'Fixing Obsolete references'. 
	ServerDirectory resetServers.
	FileServices removeObsolete.
	PackageOrganizer default unregisterPackageNamed: 'FlexibleVocabularies'.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 6/4/2008 20:47'!
update10031

	"self new update10031"
	self withUdpateLog: '1.0 / (FloatArray with: 2.0) answer unexpected result.
Bug is in FloatArray>>adaptToNumber:andSend: 
See : http://bugs.squeak.org/view.php?id=6782'.
	self log: 'fixing files left by tests'.
	self script121.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 6/4/2008 22:22'!
update10032

	"self new update10032"
	self withUpdateLog:	'Fixing Number parsing'.
	self log: 'Cleaning nebraska'.
	self script122.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'al 6/7/2008 17:04'!
update10033

	"self new update10033"
	self withUpdateLog:	'Simplifying Traits usage in kernel'.
	self log: 'Simplifying Traits usage in kernel'.
	self script123.
	self flushCaches.
	Smalltalk garbageCollect! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'sd 6/8/2008 21:55'!
update10034

	"self new update10034"
	self  withUpdateLog: 'Fixing tests (serge stinckwich)'.
	self log: 'http://bugs.squeak.org/view.php?id=6936 
	#asHTMLColor is inaccurate for certain values.
     Attached fix resolves that, also gives 10x speed-up.'.
	self script124.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 6/10/2008 18:58'!
update10035

	"self new update10035"
	self  withUpdateLog: 'Merging MVC removal step one of Alain Plantec'.
	self script125.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 6/10/2008 21:31'!
update10036

	"self new update10036"
	self  withUpdateLog: 'Merging MVC removal step one of Alain Plantec (missing part)'.
	self script126.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 6/13/2008 09:44'!
update10037

	"self new update10037"
	self withUpdateLog: 'Fixes the following 7 tests:

testRootsOfTheWorld -- testremoved
testLocalMethodWithSameCodeInTrait -- removed duplicated method ClassDescription>>fileOutCategory:
testFinalizationOfEquals -- test fixed
testHash -- remove all assertions/tests that have hardcoded hash values:
	DateAndTimeEpochTest>>#testHash
	DateAndTimeLeapTest>>#testHash
	TimeTest>>#testHash
	TimespanTest>>#testHash'.
	
	self script127.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 6/14/2008 13:49'!
update10038

	"self new update10038"
	self withUpdateLog: 'rootsOfTheWorld is back'.
	self log: 'Adding missing Class variables to TTCFonts + cleaning Scriptloader (norbert)'.
	self script128.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 6/14/2008 15:31'!
update10039

	"self new update10039"
	self withUpdateLog: 'Nebraka category cleaning + graphics tests cleaning after'.
	self script129.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 6/14/2008 17:13'!
update10040
	"self new update10040"

	self withUpdateLog: ' replace: ReadStream on: ``@object with: ``@object readStream'.
	self script130.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 6/17/2008 10:33'!
update10041
	"self new update10041"

	self withUpdateLog: 'MVC removal step 2'.
	self script131.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'al 6/18/2008 22:56'!
update10042
	"self new update10042"

	self withUpdateLog: 'Couple of changes to make more tests work plus fix of finalization logic:
- changed WeakRegistry to use WeakIdentityKeyDictionary (http://bugs.squeak.org/view.php?id=6347)
- FinalizerTest reverted to real test case
- added missing class variables to DigitalSigntureAlgorithm
- Fix issue #13: TraitsTests pollutes ProtoObject subclasses (Mantis 7090)
- make BitmapStreamTest clean up the file bitmapStreamTest.ref.extSeg'.

	self script132.
	"Migrate registry to use WeakIdentityKeyDictionary instead of WeakKeyDictionary"
	WeakRegistry allInstancesDo: [ :each |
		(each instVarNamed: 'valueDictionary')
			primitiveChangeClassTo: WeakIdentityKeyDictionary basicNew;
			rehash ].
	self flushCaches.! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 6/21/2008 20:57'!
update10043
	"self new update10043"

	self withUpdateLog: 'MVC cleaning step 3'.
	self script133.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 6/24/2008 22:22'!
update10044
	"self new update10044"

	self withUpdateLog: 'cleaning unimplemented calls'.
	self script134.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 6/24/2008 23:01'!
update10045
	"self new update10045"

	self withUpdateLog:'Some more cleaning made by Norbert'.
	self script135.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 6/25/2008 21:04'!
update10046
	"self new update10046"

	self withUpdateLog: 'KernelTests-Numbers -- Nan and hex tests broken'.
	self log: 'Collection methods #select: and #collect: have no test'.
	self log: 'MC fixes'.
	self log: 'Remove testAllMethodsWithSourceString'.
	self script136.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 6/30/2008 20:05'!
update10047
	"self new update10047"

	self withUpdateLog: 'Fixing the release. Adrian made a few cosmetic changes and tagged testUnimplementedNonPrimitiveCalls as expected failure

Original description:
- added allClassesWithUnimplementedCalls to SystemNavigation to return structured classes with unimplemented calls
- added convenience method PackageOrganizer>>allPackagesContainingUnimplementedCalls
- adjusted ReleaseTest>>testUnimplemented... to exclude TestCase classes '.
	self script137.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephaneducasse 7/2/2008 08:55'!
update10048
	"self new update10048"

	self fix. "to fix the log stream"
	self withUpdateLog: 'Fix the Scriptloader logStream + Collection tests  http://bugs.squeak.org/view.php?id=6355 + Pharo Flaps'.
	self script138.
	Flaps disableGlobalFlaps; enableGlobalFlaps.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 7/3/2008 22:49'!
update10049
	"self new update10049"

	self withUpdateLog: '7073 CollectionAndCollectionTest
* [http://bugs.squeak.org/view.php?id=6367 M6367]
* seems good [http://bugs.squeak.org/view.php?id=5700 M5700]'.
	self log: 'Add 2 tests for RunArray class + at:put:
See :  http://bugs.squeak.org/view.php?id=6070'.
	self script139.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'al 7/14/2008 18:49'!
update10050
	"self new update10050"

	self withUpdateLog: 'This update includes a set of Mantis fixes (that also went into Squeak 3.10):
http://code.google.com/p/pharo/issues/detail?id=27
http://code.google.com/p/pharo/issues/detail?id=31
http://code.google.com/p/pharo/issues/detail?id=32
http://code.google.com/p/pharo/issues/detail?id=30
mark testUnwindDebuggerWithStep as expected failure'.
	self script140.
	self flushCaches.
	
	"this initialization was forgotten in the previous update"
	String initialize	
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 8/7/2008 23:26'!
update10051
	"self new update10051"

	self withUpdateLog:'Name: SLICE-remove-copyHtml-al.6
Author: al
Time: 22 July 2008, 9:37:16 pm
UUID: 9192a548-32f3-43ac-8477-236a754a2a93
Ancestors: SLICE-remove-copyHtml-dc.5

in addition to previous version by Damien
- remove #command: senders and implementors
- remove method references to deleted methods in MessageFinder
- remove String>>asHtml, which in turn required to...
- remove an etoys related mail message class (FancyMailComposition), which required to
- remove some html code in EToys (tell a friend feature)'.
	self script141.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 8/8/2008 16:52'!
update10052
	"self new update10052"

	self withUpdateLog:'ISSUE #124 
While browsing at referencer of FileDoesNotExistException, I discovered the following pattern 
that is used in many different places. I find this pretty ugly:
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
	file := [fd readOnlyFileNamed: keysFileName]
			on: FileDoesNotExistException do:[:ex| nil].
	file ifNil:[^self]. "no keys file"
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

The use of exception is completely outwitted.

I would rather write:
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
	[file := fd readOnlyFileNamed: keysFileName]
			on: FileDoesNotExistException do: [:ex| ^ self].
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-='.
	self script142.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 8/8/2008 17:17'!
update10053
	"self new update10053"

	self withUpdateLog:'Faster printString for LargeInteger

	http://code.google.com/p/pharo/issues/detail?id=114

	http://code.google.com/p/pharo/issues/detail?id=74

	There exist 2 related issues that report endless loops when 	using a bad base.
	http://bugs.squeak.org/view.php?id=6710
	http://bugs.squeak.org/view.php?id=7107'.
	self script143.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 8/11/2008 19:03'!
update10054
	"self new update10054"

	self withUpdateLog:'- Monticello enhancements (slice + comments)
					- UndefinedObject>>from3DS: removed
					- TransformationMorph>>heading:
					- Integer>>printStringBase:
					- - -> := in PasteUpMorph
					- Issue 118: 0006846: MenuMorphs can drop mouse focus. Patch provided by rootbeer.
'.
	self script144.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'marcus.denker 8/11/2008 20:52'!
update10055
	"self new update10055"

	self withUpdateLog:'Small fixes so that the NewCompiler can load and recompile the complete system'.
	self script145.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 8/12/2008 17:54'!
update10056
	"self new update10056"

	self withUpdateLog:'remove VeryPickyMorph + fix Comments... behavior in Monticello'.
	self script146.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'marcus.denker 8/14/2008 15:11'!
update10057
	"self new update10057"

	self withUpdateLog:'remove duplicated code, remove unused code'.
	self script147.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'marcus.denker 8/15/2008 18:25'!
update10058
	"self new update10058"

	self withUpdateLog:'cleaning duplicated method, part II'.
	self script148.
	self flushCaches.
	
	Preferences disable: #serverMode.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'marcus.denker 8/18/2008 12:17'!
update10059
	"self new update10059"

	self withUpdateLog:'- remove duplicated / unused code
- small refactoring (e.g size=0 --> isEmpty, use #isEmptyOrNil)
- undeclaredCleanup in ComponentLikeModel
- rename all calls of #submorphOfClass: to #findA:
- clean up BasicButton (which should be removed...)'.
	self script149.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'marcus.denker 8/18/2008 20:42'!
update10060
	"self new update10060"

	self withUpdateLog:' - remove GeeMail experiment.
- fix undeclared Installer reference.
- remove StoryboardBookMorph, ZoomAndScrollControllerMorph, ZoomAndScrollMorph
'.
	self script152.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'marcus.denker 8/19/2008 12:37'!
update10061
	"self new update10061"

	self withUpdateLog:' - remove EtoyProjectHistoryMorph, StretchyImageMorph, EToyProjectQueryMorph, EToyProjectRenamerMorph, EtoyGenericDialogMorph, EtoyProjectDetailsMorph, ShowEmptyTextMorph, EToyCommunicatorMorph, EtoyLoginMorph, EToyHierarchicalTextGizmo, EToyHierarchicalTextMorph, SimplerTextContainer, EToyTextNode, EToyTextNodeWrapper.
'.
	self script153.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'marcus.denker 8/21/2008 10:56'!
update10062
	"self new update10062"

	self withUpdateLog:' - move the code for making a copy of a class into Class (from Browser).
	   - fix for printing not initialized LargeIntegers (fixes printing of specialObjectsArray)
'.
	self script154.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'marcus.denker 8/25/2008 09:33'!
update10063
	"self new update10063"

	self withUpdateLog:'- add #numberOfMethods
	- fix Behavior>>linesOfCode to be traits-aware
	- create all morphic events with basicNew to save the send of #initialize
	- optimized path for Morph>>#fillStyle for emoty morph-extension. (Called a lot)
	- optimized path for Morph>>#shadowOffset for empy morphExtension (called a lot)
	- remove call to "self flag #arNote" in Morph>>#transformedFrom: (called on mouse-move)
	- remove MorphEvent>>#convertFromObsolete
	- remove turtle trails check from Morph>>#drawOn:
	- remove more calls to #flag:
	- some simple code simplification (e.g. call #methods, not #methodDict values, more isEmpty)
	- remove AbstractEvent>>#saveChangeNotificationAsSARFileWithNumber:
'.
	self script155.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'marcus.denker 8/25/2008 14:52'!
update10064
	"self new update10064"

	self withUpdateLog:'-0007136: [BUG] LinkedList add:after: fails to update lastLink
-0007156: Behavior>>#initialize sends #superclass: which can cause VM crash
- delete #isValidWonderlandTexture
- fix TClassAndTraitDescription>>#methods to return the methods of a class or trait
- add #localMethods to return methods defined in a class, not included by a trait. 
-7147 Parser-removeUnusedTemps
-0006503: RunArray cant be created through #new:
'.
	self script156.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 9/10/2008 21:38'!
update10065
	"self new update10065"

	self withUpdateLog:'Fixing Transcript and Smalltalk to return themselves when printed :)
'.
	self script157.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 9/11/2008 12:03'!
update10066
	"self new update10066"

	self withUpdateLog:'tally it integration 
http://bugs.squeak.org/view.php?id=1014
'.
	self script158.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 9/12/2008 15:38'!
update10067
	"self new update10067"

	self withUpdateLog:'Cleaning html fileout removal
http://code.google.com/p/pharo/issues/detail?id=115
'.
	self script159.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 9/12/2008 19:53'!
update10068
	"self new update10068"

	self withUpdateLog:'
	- ClassBuilder fixes and tests from Noury Bouraqadi
Now instance variable names cannot be uppercased 
and classVariables lowered.
     - Refactoring engine tests commented by alexandre bergel to let the test builder
	work
	- PackageInfo better printOn: + mostSpecificPackageOf:
	- Tools package loaded (was forgotten before) with tally enh of alexandre Bergel
'.
	self script160.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 9/13/2008 20:13'!
update10069
	"self new update10069"

	self withUpdateLog:'
	cleaning some menus
	'.
	self script161.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 9/13/2008 20:42'!
update10070
	"self new update10070"

	self withUpdateLog:'
	
	Remove TextSqkLink TextProjectSqkLink
	
	'.
	self script162.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'marcus.denker 9/14/2008 19:37'!
update10071
	"self new update10071"

	self withUpdateLog:'
	
	-> Issue 100:	7154 FixForDebugBlockValueWithArguments
-> Issue 172:	show byte code menu item pane is broken
-> Issue 39:	7088 AnimatedMorphfix (M5692)
-> Issue 91:	7143 ValueWithinFix-ar
-> Issue 54:	7104 Morph-intersects-wiz (M6461)
-> Add RBSmallDictionary as SmallDictionary. Add SmallIdentityDictionary
-> Small Nebraska Removal related to HandMorph:
	-> do not test for #hasUserInformation in #needsToBeDraws
	-> remove user-drawing code from HandMorph>>#drawOn:
	-> delete HandMorph>>#hasUserInformation
-> fast path for empty extension in Morph>>#borderStyle
-> Remove unsent methods from Player:
	-> thumbnailMenuEvt:forMorph:, setFogDensity:, setFogRangeEnd:, setFogRangeStart:, setFogType:
	-> getFogColor, getFogDensity, getFogRangeEnd, getFogRangeStart, getFogType, setFogColor:
-> Remove unsent Methods:
	-> TextStyle>>changeDefaultFontSizeBy:
	-> AlignmentMorphBob1>>simpleToggleButtonFor:attribute:help:
-> fix ifNotNil:ifNil: and  ifNil:ifNotNil: to use #valueWithPossibleArgs: (to be consistent with ifNotNil:)
-> comment for #browseAllUnimplementedCalls
-> some refactoring everywhere to use isNil and ifNil: (more to go)
-> Start to remove deprecated methods that where deprecated in 3.9
-> enable deprecation warnings in postscript.

	'.
	self script163.
	Preferences enable: #showDeprecationWarnings.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'marcus.denker 9/14/2008 23:31'!
update10072
	"self new update10072"

	self withUpdateLog:'-> Issue 95:	7149 ChangeHooksTest-tearDown-M6702-rej
-> Issue 174:	XMLSupport cant be loaded into latest Pharo image
-> Issue 52:	7102 ObjectPerformOrSendToFix (M1666)
-> Issue 106:	7090 DSAunimplementedCleanup
-> Issue 77:	7127 RemoveMappedCollection
-> More ifNil:/isNil refactorings
-> replace all occurrances of "isNil not" with "notNil"'.
	self script164.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'marcus.denker 9/18/2008 11:27'!
update10073
	"self new update10073"

	self withUpdateLog:'- Issue 44:	7094 FixClassCompatibilityForClassVar (M6472)
- Issue 86:	7138 TransformationMorph-isSticky
- Issue 89:	7141 PrintingArraysWithMetaclasses
- Issue 42:	7092 TTCFontDNUfix (M5309)
- Issue 176:failing tests in 70072
- delete ParagraphEditor>>#initializeTextEditorMenus (never called, has undeclared)
- revert Issue 95:	7149 ChangeHooksTest-tearDown-M6702-rej (broke tests)
- MorphExtension now stores properties in SmallIdentityDictionary.
- in loadscript: Smalltalk associations do: [:each | each beReadWriteBindingAnnouncing: true]'.
	self script165.
	Smalltalk associations do: [:each | each beReadWriteBindingAnnouncing: true].
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'marcus.denker 9/21/2008 20:16'!
update10074
	"self new update10074"

	self withUpdateLog:'- Issue 180:	10073 still needs some cleanup
- Issue 166:	Cleaning up the menus
- Issue 182:	Cleaning leftover from nebraska
- Issue 184:	delete PseudoPoolVariable
- Issue 188:	start of removing Vocabulary
- Issue 187:	delete Button, OneOnSwitch, ST80MenusTest, Switch
- Issue 183:	delete ClickExerciser, TestClickExerciser, DumberMenuMorph, PluggableFileList
- Issue 181:	Remove codepane+tilescript from browser
- Issue 178:	unsent messages
- remove hashMappedBy: and friends (never called).
- remove even more methods that have no senders (mostly etoys related)
- Classes removed: RemoteHandMorph PseudoPoolVariable ElementTranslation MethodCall UnknownType Button OneOnSwitch ST80MenusTest Switch DumberMenuMorph, ClickExerciser, ClickExerciserTest, PluggableFileList
- Postscript:
	SMSqueakMap default purge.
	Smalltalk cleanOutUndeclared. 
	CustomEventsRegistry at: #scrolledIntoView put: IdentityDictionary new.
	CustomEventsRegistry at: #scrolledOutOfView put: IdentityDictionary new.
	Set rehashAllSets.
'.
	self script166.
	self flushCaches.
	SMSqueakMap default purge.
	Smalltalk cleanOutUndeclared. 
	CustomEventsRegistry at: #scrolledIntoView put: IdentityDictionary new.
	CustomEventsRegistry at: #scrolledOutOfView put: IdentityDictionary new.
	Set rehashAllSets.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 9/24/2008 21:57'!
update10075
	"self new update10075"

	self withUpdateLog:' Remove ComponentLikeModel
'.
	self script167.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 9/25/2008 14:53'!
update10076
	"self new update10076"

	self withUpdateLog:' fixing SystemWindow>>windowsIn:Satisfying
-> PasteUpMorph>>windowsSatifying:
+ defined as class extension for Morphic-Windows
+ put all the users of windowsIn:Satisfying as class extensions too.
'.
	self script168.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 9/25/2008 16:52'!
update10077
	"self new update10077"

	self withUpdateLog:' Remove ComponentLikeModel
'.
	self script169.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 9/25/2008 17:23'!
update10078
	"self new update10078"

	self withUpdateLog:' Removed isUniClass: (the package description is wrong sorry)
'.
	self script170.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 9/25/2008 17:37'!
update10079
	"self new update10079"

	self withUpdateLog:' Clean inspector from tiling behavior (following gary removal scripts)
'.
	self script171.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 9/25/2008 17:56'!
update10080
	"self new update10080"

	self withUpdateLog:'  Remove uniClass influences in DeepCopier and Object following
gary cleans.

Remove universalTile... from Object 

'.
	self script172.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 9/25/2008 18:18'!
update10081
	"self new update10081"

	self withUpdateLog:'  Clean WorldState following gary changes
		remove expungeUniClasses from ChangesSorter and bros

'.
	self script173.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'stephane.ducasse 9/28/2008 17:29'!
update10082
	"self new update10082"

	self withUpdateLog:'  Etoy cleaning from gary (continued)
Removed UndefinedObjectTest>>testNewTileMorphRepresentative
Removed BooleanTest>>testNewTileMorphRepresentative
Removed BookMorph>>chooseAndRevertToVersion
Removed BookMorph>>revertToCheckpoint: secsSince1901
BookMorph>>installRollBackButtons
BookMorph>>methodHolderVersions
BookMorph>>methodHolders
BookMoprh>>goToPageMorph:  transitionSpec:  runTransitionScripts:  
BookMorph>>goToPageMorph:  transitionSpec:  
TabbedPalette>>selectTab: cleaned 
Removed TabbedPalette>>becomeStandPalette
Removed>>currentPlayerDo: and fixed sender
EncodedCharSet fixed initialize
'.
	
	self script174.
	EncodedCharSet initialize.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'alain.plantec 6/10/2008 21:57'!
updateFrom6718
	"self new updateFrom6718"
	"
	call 'TheWorldMenu removeObsolete' to cleanout obsolete ref.
	-----
	0002542: Morphic testing failure, Morph>>overlapsShadowFormbounds
	-----
	revert Decompiler>>#decompileBlock:
	-----
	ServiceAction>>perform:orSendTo: for romain
	----- Adding andreas packages
	"
	
	self script30.
	self flushCaches.
	TheWorldMenu removeObsolete.
	
	Undeclared removeUnreferencedKeys.
	Smalltalk garbageCollect.
	
	SMSqueakMap default purge.
	Smalltalk forgetDoIts.

	DataStream initialize.
	Behavior flushObsoleteSubclasses.
	MethodChangeRecord allInstancesDo: [:each | each noteNewMethod: nil].
	
	SmalltalkImage current fixObsoleteReferences.

	Smalltalk flushClassNameCache.
	3 timesRepeat: [
		Smalltalk garbageCollect.
		Symbol compactSymbolTable.
	].
! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'alain.plantec 6/10/2008 21:57'!
updateFrom6719
	"self new updateFrom6719"
	"
	0002135: Cmd-. don't work with various Mac Os X keyboard layout
	"
	
	self script31.
	self flushCaches.
	TheWorldMenu removeObsolete.
	
	Undeclared removeUnreferencedKeys.
	Smalltalk garbageCollect.
	
	SMSqueakMap default purge.
	Smalltalk forgetDoIts.

	DataStream initialize.
	Behavior flushObsoleteSubclasses.
	MethodChangeRecord allInstancesDo: [:each | each noteNewMethod: nil].
	
	SmalltalkImage current fixObsoleteReferences.

	Smalltalk flushClassNameCache.
	3 timesRepeat: [
		Smalltalk garbageCollect.
		Symbol compactSymbolTable.
	].
! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'alain.plantec 6/10/2008 21:57'!
updateFrom6720
	"self new updateFrom6720"
	"
	- Tools for traits fixes from adrian
	- underscore fixing
	- integer printing fixes + tests
	- 0002708: SharedQueue does not nil out unused slots when flushing
	- 0002154: Light-weight mutex implementation
	- tests from 0002688: aNumber = (aNumber + 0 i) answer false
	- Adds a test for the new Url class>>absoluteFromFileNameOrUrlString: 
	- Set new now uses new: 5
	- delete Undefined>>languagePrefs, broken code
	- tests for primesUpTo: and isPrime
	- turn on Deprecation warnings
	- Move Heap examples to HeapTest (and call them in a test)
	- remove double entry for TestRunner from open Menu
	- clean a bit old unneded tests
	- remove empty class and method categories
	- fix a call to deprecated #bringFlapTabsToFront
	- Change Set:		fixPntrFinder-bf
	  Author:			Bert Freudenberg
	  The PointerFinder (aka 'chase pointers' menu item) did not find references in   
	  CompiledMethods, which are the only objects in the system that answer false to isPointers  
	  but still *do* have pointers"
	
	self script32.
	self flushCaches.
	
	Preferences setPreference: #showDeprecationWarnings toValue: true.
	TheWorldMenu unregisterOpenCommand: 'SUnit Test Runner'.
	Smalltalk removeEmptyMessageCategories.
	SystemOrganization removeEmptyCategories.
	
	Undeclared removeUnreferencedKeys.
	Smalltalk garbageCollect.
	
	SMSqueakMap default purge.
	Smalltalk forgetDoIts.

	DataStream initialize.
	Behavior flushObsoleteSubclasses.
	MethodChangeRecord allInstancesDo: [:each | each noteNewMethod: nil].
	
	SmalltalkImage current fixObsoleteReferences.

	Smalltalk flushClassNameCache.
	3 timesRepeat: [
		Smalltalk garbageCollect.
		Symbol compactSymbolTable.
	].
! !

!ScriptLoader methodsFor: 'public' stamp: 'marcus.denker 8/25/2008 09:58'!
updateUpdatesList: aString
	"ScriptLoader new updateUpdatesList: 'cleanUpMethods'"
	
	| str updateNumber |
	updateNumber := self getLatestUpdateNumber.
	str := FileDirectory default 
				oldFileNamed: 'updates.list'.
	
	str setToEnd.
	
	str cr.
	str nextPutAll: updateNumber asString, '-Pha-', aString, '.cs'.
	str close.! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/28/2008 18:32'!
waitingFolderMCZFiles

	^ self class defaultMCWaitingFolder allFileNames reject:[:each | each =  '.DS_Store']! !

!ScriptLoader methodsFor: 'log' stamp: 'sd 3/24/2008 16:46'!
withUdpateLog: aString
	
	"self deprecated"
	self flag: #toRemove.
	self withUpdateLog: aString! !

!ScriptLoader methodsFor: 'log' stamp: 'sd 3/24/2008 16:45'!
withUpdateLog: aString

	self logStream nextPutAll: ' ------------------------------------------------------' ; cr.
	self logStream nextPutAll: thisContext sender selector asString. 
	self logStream cr; nextPutAll: aString ; cr.! !

!ScriptLoader methodsFor: 'fixing stream' stamp: 'sd 3/24/2008 17:31'!
workingCopyFromPackageName: aString
	"self new workingCopyFromPackageName: '39Deprecated' "
	
	|pa|
	pa := MCPackage named: aString.
	^ pa workingCopy 
	! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'sd 7/8/2006 18:20'!
writeCS: extensionAndNumber forUpdate: updateNumber
	"ScriptLoader new writeCS: '-sd.210' forUpdate: 7037"
	
	self writeCS: extensionAndNumber forUpdate: updateNumber withName: 'changeMe'! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'md 8/2/2006 18:06'!
writeCS: extensionAndNumber forUpdate: updateNumber withName: aSt
	"ScriptLoader new writeCS: '-md.2929' forUpdate: 7049 withName: 'cleanUpMethods'"
	
	| str |
	str := FileDirectory default forceNewFileNamed:  updateNumber asString, 'update', aSt, '.cs'.
	self generateCS: extensionAndNumber fromUpdate: updateNumber on: str.
	str close.! !

TestCase subclass: #ScriptLoaderTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ScriptLoader'!

!ScriptLoaderTest methodsFor: 'as yet unclassified' stamp: 'stephane.ducasse 6/30/2008 16:00'!
testAllCurrentPackagesContainScriptLoader
	"self debug: #testAllCurrentPackagesContainScriptLoader"
	

	| p |
	p := ScriptLoader new allCurrentPackages collect: [:each | each package name].
	self assert: (p anySatisfy: [ :pa | 'ScriptLoader*' match: pa])! !

!ScriptLoaderTest methodsFor: 'as yet unclassified' stamp: 'stephane.ducasse 6/30/2008 16:00'!
testAllCurrentVersionsContainsScriptLoader
	"self debug: #testAllCurrentVersionsContainsScriptLoader"
	
	| p |
	p := ScriptLoader new allCurrentVersions.
	self assert: (p anySatisfy: [ :pa | 'ScriptLoader*'  match: pa])! !

!ScriptLoaderTest methodsFor: 'as yet unclassified' stamp: 'stephane.ducasse 6/30/2008 16:00'!
testCurrentPackagesDoesNotContainScriptLoader
	"self debug: #testCurrentPackagesDoesNotContainScriptLoader"
	

	| p |
	p := ScriptLoader new currentPackages collect: [:each | each package name].
	self deny: (p anySatisfy: [ :pa | 'ScriptLoader*'  match: pa])! !

!ScriptLoaderTest methodsFor: 'as yet unclassified' stamp: 'stephane.ducasse 6/30/2008 16:56'!
testMarkPackageBeforeLoad
	"self debug: #testMarkPackageBeforeLoad"
	

	| s |
	s := ScriptLoader new.
	ScriptLoader resetPackagesBeforeLastLoad.
	self assert: s  diffPackages size = s currentVersionsToBeSaved size.
	self assert: s   = s.
	
	s markPackagesBeforeNewCodeIsLoaded.
	self assert: s  diffPackages isEmpty! !

!MCRepositoryGroup methodsFor: '*ScriptLoader' stamp: 'sd 3/15/2008 17:33'!
removeHTTPRepositoryLocationNamed: aRepositoryString
	
	| httpRepo others |
	httpRepo := repositories select: [:each | each isKindOf: MCHttpRepository]. 
	others := repositories reject: [:each | each isKindOf: MCHttpRepository].
	repositories := others, (httpRepo reject: [:each | each locationWithTrailingSlash = aRepositoryString]).
	self changed: #repositories! !
